[MAX_GO_NO]=276
[GO_NO]=1
BEGIN TRANSACTION
ALTER TABLE dbo.ANB_SER ADD
	A_Index nvarchar(50) NULL,
	[Index] int NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FAC_SER ADD CONSTRAINT
	PK_FAC_SER PRIMARY KEY CLUSTERED 
	(
	Fac_Code,
	Fac_Type,
	A_Code,
	A_Serial,
	A_Index
	) ON [PRIMARY]

GO
COMMIT
GO

CREATE TABLE [dbo].[GAtribut] (
	[Inc_Code] [int] IDENTITY (1, 1) NOT NULL ,
	[GH_ID] [float] NULL ,
	[SH_ID] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[F_Name] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[Zamen] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[Add_Zamen] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Tel_Zamen] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Moaref] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[Add_Moaref] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Tel_Moaref] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
ALTER TABLE dbo.GHEST ADD
	Dar_Par bit NULL,
	Gh_ID float NULL,
	Sanad_Dar int NULL,
	SanadTakhir int NULL
GO

ALTER TABLE dbo.GHEST ADD CONSTRAINT
	DF_GHEST_Dar_Par DEFAULT 0 FOR Dar_Par
GO

ALTER TABLE dbo.ACOUND_N ADD
	Vosol_Report nvarchar(60) NULL,
	Naghdi_Report nvarchar(60) NULL,
	Vosol_PrnRecCount int NULL,
	Naghdi_PrnFew int NULL
GO

ALTER TABLE dbo.ANBAGARD ADD
	Anb_Date datetime NULL,
	SelectForSanad bit NULL
GO
DROP INDEX dbo.ANBAGARD.A_Namei
GO
ALTER TABLE dbo.ANBAGARD
	DROP COLUMN A_Name, Date_w, Code_user, CheckMark, EndedNum, EndedNum_2
GO

ALTER TABLE dbo.FACTURE ADD
	CorrectDateTasvieh datetime NULL
GO

ALTER TABLE dbo.FACTART ADD
	TakhfifSatriR float NULL
GO

ALTER TABLE dbo.ARTICLE ADD
	Sel_Price6 float NULL,
	Sel_Price7 float NULL,
	Sel_Price8 float NULL,
	Sel_Price9 float NULL,
	Sel_Price10 float NULL
Go
ALTER TABLE dbo.ARTICLE ADD
	Tool_Arz bit Not NULL default(0)
GO
ALTER TABLE dbo.ARTICLE ADD
	DarsadForush float NULL
GO
ALTER TABLE dbo.ARTICLE ADD
	Moddat float NULL
GO
ALTER TABLE dbo.ARTICLE ADD
	weight2 float NULL
GO
ALTER TABLE dbo.ARTICLE ADD
	IncField int NOT NULL IDENTITY (1, 1)
GO
ALTER TABLE dbo.ARTICLE ADD
	User_Price float NULL
GO
ALTER TABLE dbo.ARTICLE ADD
	Other6 varchar(40) NULL,
	Other5 varchar(40) NULL,
	Other4 varchar(40) NULL,
	Other3 varchar(40) NULL,
	Other2 varchar(40) NULL,
	Other1 varchar(40) NULL
GO
CREATE TABLE dbo.DastehCH
	(
	C_Code nvarchar(50) NULL,
	Bank_Code nvarchar(50) NULL,
	Account_n nvarchar(50) NULL,
	Inc_Code int NOT NULL IDENTITY (1, 1),
	D_Start float NULL,
	D_End float NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.[Check] ADD
	Comm nvarchar(255) NULL
GO

CREATE TABLE [dbo].[Set_TncRep] (
	[R_Code] [int] IDENTITY (1, 1) NOT NULL ,
	[Report_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Report_NameUser] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Report_NameUser1] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Report_Data] [image] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

ALTER TABLE [dbo].[Set_TncRep] WITH NOCHECK ADD 
	CONSTRAINT [PK_Set_TncRep] PRIMARY KEY  CLUSTERED 
	(
		[R_Code]
	)  ON [PRIMARY] 
GO


ALTER TABLE dbo.ABAILPRE ADD
	TAKHFIFSATRIR float NULL
GO

ALTER TABLE dbo.FBAILPRE ADD
	PreFacIsUsed bit NULL
GO

BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	CalledDate datetime NULL
GO
ALTER TABLE dbo.FBAILPRE ADD
	Num_Havaleh int NULL
GO
Commit
GO

BEGIN TRANSACTION
CREATE TABLE dbo.Tmp_ORD_BILD
	(
	A_Code varchar(7) NOT NULL,
	SellFactOld float NULL,
	M1 decimal(5, 0) NULL,
	M2 decimal(5, 0) NULL,
	M3 decimal(5, 0) NULL,
	M4 decimal(5, 0) NULL,
	M5 decimal(5, 0) NULL,
	M6 decimal(5, 0) NULL,
	M7 decimal(5, 0) NULL,
	M8 decimal(5, 0) NULL,
	M9 decimal(5, 0) NULL,
	M10 decimal(5, 0) NULL,
	M11 decimal(5, 0) NULL,
	M12 decimal(5, 0) NULL,
	M13 decimal(5, 0) NULL,
	M14 decimal(5, 0) NULL,
	M15 decimal(5, 0) NULL,
	M16 decimal(5, 0) NULL,
	M17 decimal(5, 0) NULL,
	M18 decimal(5, 0) NULL,
	M19 decimal(5, 0) NULL,
	M20 decimal(5, 0) NULL,
	M21 decimal(5, 0) NULL,
	M22 decimal(5, 0) NULL,
	M23 decimal(5, 0) NULL,
	M24 decimal(5, 0) NULL
	)  ON [PRIMARY]
GO
IF EXISTS(SELECT * FROM dbo.ORD_BILD)
	 EXEC('INSERT INTO dbo.Tmp_ORD_BILD (A_Code, SellFactOld, M1, M2, M3, M4, M5, M6, M7, M8, M9, M10, M11, M12, M13, M14, M15, M16, M17, M18, M19, M20, M21, M22, M23, M24)
		SELECT A_Code, SellFactOld, CONVERT(decimal(5, 0), M1), CONVERT(decimal(5, 0), M2), CONVERT(decimal(5, 0), M3), CONVERT(decimal(5, 0), M4), CONVERT(decimal(5, 0), M5), CONVERT(decimal(5, 0), M6), CONVERT(decimal(5, 0), M7), CONVERT(decimal(5, 0), M8), CONVERT(decimal(5, 0), M9), CONVERT(decimal(5, 0), M10), CONVERT(decimal(5, 0), M11), CONVERT(decimal(5, 0), M12), CONVERT(decimal(5, 0), M13), CONVERT(decimal(5, 0), M14), CONVERT(decimal(5, 0), M15), CONVERT(decimal(5, 0), M16), CONVERT(decimal(5, 0), M17), CONVERT(decimal(5, 0), M18), CONVERT(decimal(5, 0), M19), CONVERT(decimal(5, 0), M20), CONVERT(decimal(5, 0), M21), CONVERT(decimal(5, 0), M22), CONVERT(decimal(5, 0), M23), CONVERT(decimal(5, 0), M24) FROM dbo.ORD_BILD TABLOCKX')
GO
DROP TABLE dbo.ORD_BILD
GO
EXECUTE sp_rename N'dbo.Tmp_ORD_BILD', N'ORD_BILD', 'OBJECT'
GO
ALTER TABLE dbo.ORD_BILD ADD CONSTRAINT
	PK_ORD_BILD PRIMARY KEY CLUSTERED 
	(
	A_Code
	) ON [PRIMARY]

GO
COMMIT
GO

CREATE TABLE [dbo].[Kh_Dastgah] (
	[Das_Code] [int] IDENTITY (1, 1) NOT NULL ,
	[Das_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Das_Code_C] [nvarchar] (12) COLLATE Arabic_CI_AS NULL ,
	[Das_Model] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Das_Comment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Kh_Fac_List] (
	[FL_Code] [bigint] IDENTITY (1, 1) NOT NULL ,
	[F_Code] [bigint] NULL ,
	[A_Code] [char] (7) COLLATE Arabic_CI_AS NULL ,
	[FL_Few] [float] NULL ,
	[FL_Sum_Price] [float] NULL ,
	[FL_Comment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[FL_IsGaranty] [tinyint] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Kh_Facture] (
	[F_Code] [bigint] IDENTITY (1, 1) NOT NULL ,
	[Das_Code] [int] NULL ,
	[G_Code] [bigint] NULL ,
	[F_Type] [tinyint] NULL ,
	[F_Code_C] [nvarchar] (8) COLLATE Arabic_CI_AS NULL ,
	[F_Date] [smalldatetime] NULL ,
	[F_Time] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Das_Serial] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Das_Comment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[C_Code] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Cus_Comment1] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Cus_Comment2] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Cus_Error] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Date_Elam_Tahvil] [smalldatetime] NULL ,
	[F_Status] [tinyint] NULL ,
	[UserCodeInc] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Kh_Facture_Haz] (
	[F_Code] [bigint] NOT NULL ,
	[Date_Karshenas] [smalldatetime] NULL ,
	[C_Code_Karshenas] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Nazar_Karshenas1] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Nazar_Karshenas2] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Haz_Art_Masrafy] [float] NULL ,
	[Haz_Service1] [float] NULL ,
	[Haz_Service2] [float] NULL ,
	[Haz_AyabZahab] [float] NULL ,
	[Haz_Mamoriat] [float] NULL ,
	[Haz_AmozeshParvaresh] [float] NULL ,
	[Takhfif] [float] NULL ,
	[Sanad_Code] [int] NULL ,
	[Date_Tahvil] [smalldatetime] NULL ,
	[Haz_Other] [float] NULL ,
	[Haz_Personel] [float] NULL ,
	[Haz_Garanty] [float] NULL ,
	[F_Comment] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Price_Naghd] [float] NULL ,
	[Price_Check] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Kh_Gar_List] (
	[GL_Code] [bigint] IDENTITY (1, 1) NOT NULL ,
	[G_Code] [bigint] NULL ,
	[Das_Code] [int] NULL ,
	[GL_Serial] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[GL_Comment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Kh_Garanty] (
	[G_Code] [bigint] IDENTITY (1, 1) NOT NULL ,
	[G_Type] [tinyint] NULL ,
	[G_Code_C] [nvarchar] (8) COLLATE Arabic_CI_AS NULL ,
	[G_Date] [datetime] NULL ,
	[G_Date_S] [datetime] NULL ,
	[G_Date_E] [datetime] NULL ,
	[G_Comment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Set_Sarfasl] (
	[S_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NOT NULL ,
	[Col_Code] [nvarchar] (3) COLLATE Arabic_CI_AS NULL ,
	[Moien_Code] [nvarchar] (4) COLLATE Arabic_CI_AS NULL ,
	[Tafzili_Code] [nvarchar] (4) COLLATE Arabic_CI_AS NULL ,
	[IsActive] [bit] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Kh_Dastgah] WITH NOCHECK ADD 
	CONSTRAINT [PK_Kh_Dastgah] PRIMARY KEY  CLUSTERED 
	(
		[Das_Code]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Kh_Fac_List] WITH NOCHECK ADD 
	CONSTRAINT [PK_Kh_Fac_List] PRIMARY KEY  CLUSTERED 
	(
		[FL_Code]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Kh_Facture] WITH NOCHECK ADD 
	CONSTRAINT [PK_Kh_Facture] PRIMARY KEY  CLUSTERED 
	(
		[F_Code]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Kh_Facture_Haz] WITH NOCHECK ADD 
	CONSTRAINT [PK_Table1] PRIMARY KEY  CLUSTERED 
	(
		[F_Code]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Kh_Gar_List] WITH NOCHECK ADD 
	CONSTRAINT [PK_Kh_Gar_List] PRIMARY KEY  CLUSTERED 
	(
		[GL_Code]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Kh_Garanty] WITH NOCHECK ADD 
	CONSTRAINT [PK_Kh_Garanty] PRIMARY KEY  CLUSTERED 
	(
		[G_Code]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Set_Sarfasl] WITH NOCHECK ADD 
	CONSTRAINT [PK_Set_Sarfasl] PRIMARY KEY  CLUSTERED 
	(
		[S_Name]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Kh_Facture_Haz] WITH NOCHECK ADD 
	CONSTRAINT [DF_Kh_Facture_Haz_F_Sanad_Code] DEFAULT (0) FOR [Sanad_Code]
GO

 CREATE  UNIQUE  INDEX [Das_NameIndex] ON [dbo].[Kh_Dastgah]([Das_Name]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [Das_Code_CIndex] ON [dbo].[Kh_Dastgah]([Das_Code_C]) ON [PRIMARY]
GO

 CREATE  INDEX [G_Code_Das_CodeIndex] ON [dbo].[Kh_Gar_List]([G_Code] DESC , [Das_Code] DESC ) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [G_Code_CIndex] ON [dbo].[Kh_Garanty]([G_Code_C], [G_Type]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[CUSTOMER]
     ADD [Karshenas] [bit] NULL 
GO

SET IDENTITY_INSERT Kh_Garanty ON
INSERT INTO Kh_Garanty
                      (G_Code, G_Type)
VALUES     (0,0)
SET IDENTITY_INSERT Kh_Garanty OFF
Go


CREATE TABLE [dbo].[Hrd_Fac_Art] (
	[F_Code] [bigint] NOT NULL ,
	[FC_Index] [smallint] NOT NULL ,
	[FA_Radif] [smallint] NOT NULL ,
	[A_Code] [char] (7) COLLATE Arabic_CI_AS NOT NULL ,
	[FA_Few] [float] NULL ,
	[FA_Price] [float] NULL ,
	[FA_Comment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Hrd_Fac_Com] (
	[F_Code] [bigint] NOT NULL ,
	[FC_Index] [smallint] NOT NULL ,
	[FC_Type] [tinyint] NULL ,
	[FC_Name] [nvarchar] (150) COLLATE Arabic_CI_AS NULL ,
	[FC_Comment] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[FC_Few] [float] NULL ,
	[FC_Sum_Price] [float] NULL ,
	[Haz_Assembel] [float] NULL ,
	[Haz_Nasb] [float] NULL ,
	[Haz_Garanty] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Hrd_Facture] (
	[F_Code] [bigint] IDENTITY (1, 1) NOT NULL ,
	[F_Code_C] [nvarchar] (8) COLLATE Arabic_CI_AS NULL ,
	[F_Type] [tinyint] NULL ,
	[F_Date] [smalldatetime] NULL ,
	[F_Time] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[C_Code] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Haz_All_Assembl] [float] NULL ,
	[Haz_All_Nasb] [float] NULL ,
	[Haz_All_Garanty] [float] NULL ,
	[F_Comment] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[F_Code_C2] [nvarchar] (8) COLLATE Arabic_CI_AS NULL ,
	[Takhfif] [float] NULL ,
	[Haz_Fac] [float] NULL ,
	[DAmozesh] [float] NULL ,
	[DShahrdary] [float] NULL ,
	[DCEghtesad] [float] NULL ,
	[Post_Type] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[Post_Comment] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Sanad_Code] [int] NULL ,
	[TasviehDate] [datetime] NULL ,
	[DarsadDirkardTasvieh] [float] NULL ,
	[PreFacIsUsed] [bit] NULL ,
	[Price_Naghd] [float] NULL ,
	[Price_Check] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Hrd_Formul_Art] (
	[FC_Index] [int] NOT NULL ,
	[FA_Radif] [smallint] NOT NULL ,
	[A_Code] [char] (7) COLLATE Arabic_CI_AS NOT NULL ,
	[FA_Few] [float] NULL ,
	[FA_Price] [float] NULL ,
	[FA_Comment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Hrd_Formul_Com] (
	[FC_Index] [int] IDENTITY (1, 1) NOT NULL ,
	[FC_Formul_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[FC_Name] [nvarchar] (150) COLLATE Arabic_CI_AS NULL ,
	[FC_Comment] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[FC_Few] [float] NULL ,
	[FC_Sum_Price] [float] NULL ,
	[Haz_Assembel] [float] NULL ,
	[Haz_Nasb] [float] NULL ,
	[Haz_Garanty] [float] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Hrd_Fac_Art] WITH NOCHECK ADD 
	CONSTRAINT [PK_Hrd_Fac_Art] PRIMARY KEY  CLUSTERED 
	(
		[F_Code],
		[FC_Index],
		[FA_Radif]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Hrd_Fac_Com] WITH NOCHECK ADD 
	CONSTRAINT [PK_Hrd_Fac_Com] PRIMARY KEY  CLUSTERED 
	(
		[F_Code],
		[FC_Index]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Hrd_Facture] WITH NOCHECK ADD 
	CONSTRAINT [PK_Hrd_Facture] PRIMARY KEY  CLUSTERED 
	(
		[F_Code]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Hrd_Formul_Art] WITH NOCHECK ADD 
	CONSTRAINT [PK_Hrd_Formul_Art] PRIMARY KEY  CLUSTERED 
	(
		[FC_Index],
		[FA_Radif]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Hrd_Formul_Com] WITH NOCHECK ADD 
	CONSTRAINT [PK_Hrd_Formul_Com] PRIMARY KEY  CLUSTERED 
	(
		[FC_Index]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Hrd_Facture] WITH NOCHECK ADD 
	CONSTRAINT [DF_Hrd_Facture_Sanad_Code] DEFAULT (0) FOR [Sanad_Code],
	CONSTRAINT [DF_Hrd_Facture_PreFacIsUsed] DEFAULT (0) FOR [PreFacIsUsed]
GO
[GO_NO]=2
ALTER TABLE dbo.Kh_Facture ADD
	UserCodeInc int NULL
GO

ALTER TABLE dbo.CUSTOMER ADD
	ContactDate datetime NULL
GO
[GO_NO]=3
ALTER TABLE dbo.CUSTOMER ADD
	ContactDate datetime NULL
GO
[GO_NO]=4
CREATE TABLE [dbo].[PriceS_Detail] (
	[St_Code] [int] NOT NULL ,
	[A_Code] [nvarchar] (7) COLLATE Arabic_CI_AS NOT NULL ,
	[Price1] [float] NULL ,
	[Price2] [float] NULL ,
	[Price3] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PriceS_Titr] (
	[St_Code] [int] IDENTITY (1, 1) NOT NULL ,
	[St_MName] [varchar] (20) COLLATE Arabic_CI_AS NULL ,
	[St_SName] [varchar] (20) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[PriceS_Detail] WITH NOCHECK ADD 
	CONSTRAINT [PK_PriceL_Detail] PRIMARY KEY  CLUSTERED 
	(
		[St_Code],
		[A_Code]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[PriceS_Titr] WITH NOCHECK ADD 
	CONSTRAINT [PK_PriceL_Titr] PRIMARY KEY  CLUSTERED 
	(
		[St_Code]
	)  ON [PRIMARY] 
GO
[GO_NO]=5
ALTER TABLE dbo.FACTSPD ADD
	UserCodeInc int NULL
GO
ALTER TABLE dbo.FACTSPD
	DROP COLUMN UserCode, UserName
GO
ALTER TABLE dbo.SPDSELL ADD
	UserCodeInc int NULL
GO

BEGIN TRANSACTION
ALTER TABLE dbo.SPDSELL
	DROP CONSTRAINT PK_SPDSELL
Go
ALTER TABLE dbo.SPDSELL
	DROP COLUMN UserCode, UserName

ALTER TABLE dbo.SPDSELL
	Alter COLUMN UserCodeInc int not null
Go

ALTER TABLE dbo.SPDSELL ADD CONSTRAINT
	PK_SPDSELL PRIMARY KEY CLUSTERED 
	(
	A_Code,
	UserCodeInc
	) ON [PRIMARY]

GO
COMMIT
GO

[GO_NO]=6
ALTER TABLE dbo.FACTART ADD
	Tedad float NULL
GO
ALTER TABLE dbo.FACTART ADD
	Metr float NULL
GO
ALTER TABLE dbo.ABAILPRE ADD
	Tool nvarchar(10) NULL
GO
ALTER TABLE dbo.ABAILPRE ADD
	Arz nvarchar(10) NULL
GO
ALTER TABLE dbo.ABAILPRE ADD
	Ghotr float NULL
GO
ALTER TABLE dbo.ABAILPRE ADD
	Tedad float NULL
GO
ALTER TABLE dbo.ABAILPRE ADD
	Metr float NULL
GO
ALTER TABLE dbo.ABAILPRE ADD
	Tool_Arz bit NULL
GO
ALTER TABLE dbo.FACTART ADD
	Tool nvarchar(10) NULL
GO
ALTER TABLE dbo.FACTART ADD
	Arz nvarchar(10) NULL
GO
ALTER TABLE dbo.FACTART ADD
	Ghotr varchar(10) NULL
GO
ALTER TABLE dbo.FACTART ADD
	Tedad float NULL
GO
ALTER TABLE dbo.FACTART ADD
	Metr float NULL
GO
ALTER TABLE dbo.FACTART ADD
	Tool_Arz bit NULL
GO
[GO_NO]=7

BEGIN TRANSACTION
ALTER TABLE dbo.MORKHASI
	DROP CONSTRAINT PK_MORKHASI

ALTER TABLE dbo.MORKHASI ADD CONSTRAINT
	PK_MORKHASI PRIMARY KEY CLUSTERED 
	(
	CodePer,
	StartMorakhasi_Day
	) ON [PRIMARY]

GO
COMMIT
GO

[GO_NO]=8
CREATE TABLE [dbo].[T_Garar] (
	[Code] [int] NOT NULL ,
	[C_code] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Date_garardad] [datetime] NULL ,
	[Mozoe_garardad] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Mablag_garardad] [float] NULL ,
	[Mablag_hazeneh] [float] NULL ,
	[Mablag_kaabl] [float] NULL ,
	[Num_check] [int] NULL ,
	[Bank] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Shobeh_bank] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Mablag_check] [float] NULL ,
	[Date_check] [datetime] NULL ,
	[Mablag_col] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[T_Kharid] (
	[Code] [int] IDENTITY (1, 1) NOT NULL ,
	[Fac_Code] [nvarchar] (6) COLLATE Arabic_CI_AS NULL ,
	[Price_haml] [float] NULL ,
	[Darsad_ghomrok] [float] NULL ,
	[Darsad_sod] [float] NULL ,
	[Money_Price] [float] NULL ,
	[ArzDate] [datetime] NULL 
) ON [PRIMARY]
GO

Update SPDSELL
Set UserCodeInc = 1
where (UserCodeInc is null) Or (UserCodeInc = 0)
Go

Update FactSpd
Set UserCodeInc = 1
where (UserCodeInc is null) Or (UserCodeInc = 0)
Go

[GO_NO]=9
CREATE TABLE [dbo].[Farsh] (
	[C_Code] [varchar] (5) COLLATE Arabic_CI_AS NOT NULL ,
	[Radef] [int] NOT NULL ,
	[F_Index] [int] IDENTITY (1, 1) NOT NULL ,
	[Num_Je] [int] NULL ,
	[Type_Je] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Color_M] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Color_H] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Col] [float] NULL ,
	[Wideh] [float] NULL ,
	[Masahat] [float] NULL ,
	[Date_W] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Date_Kh] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Name] [nvarchar] (30) COLLATE Arabic_CI_AS NULL ,
	[Ghabz_Num] [int] NULL ,
	[Fac_Code_C] [int] NULL ,
	[Select] [bit] NULL ,
	[Ghabz_Date] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[Vaziat] [nvarchar] (15) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Ghabzsel] (
	[GhabzNum] [int] NOT NULL ,
	[Select] [bit] NULL ,
	[SumMasahat] [float] NULL ,
	[C_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[JName] (
	[JensName] [nvarchar] (50) COLLATE Arabic_CI_AS NOT NULL 
) ON [PRIMARY]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
CREATE TABLE [dbo].[Amozshgh] (
	[CodeInc] [int] IDENTITY (1, 1) NOT NULL ,
	[NameAmoozeshgah] [varchar] (25) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
CREATE TABLE [dbo].[Estkhdam] (
	[CodeInc] [int] IDENTITY (1, 1) NOT NULL ,
	[NameEstekhdam] [varchar] (20) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
CREATE TABLE [dbo].[Saham] (
	[C_Code] [nvarchar] (5) COLLATE Arabic_CI_AS NOT NULL ,
	[YearDate] [nvarchar] (4) COLLATE Arabic_CI_AS NOT NULL ,
	[Sood] [float] NULL ,
	[Maliyat] [float] NULL ,
	[Shahrdari] [float] NULL ,
	[Sanavat] [float] NULL ,
	[Sayer] [float] NULL ,
	[Comment] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
CREATE TABLE [dbo].[Saham_P] (
	[C_Code] [nvarchar] (5) COLLATE Arabic_CI_AS NOT NULL ,
	[P_Name] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[PF_Name] [nvarchar] (25) COLLATE Arabic_CI_AS NULL ,
	[P_Number] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[No_Sahamdar] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[B_City] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[MahalSodoor] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[BirthDate] [datetime] NULL ,
	[CountSahm] [float] NULL ,
	[PricePerSahm] [float] NULL ,
	[Kind] [smallint] NULL ,
	[DateStart] [datetime] NULL ,
	[DateEnd] [datetime] NULL ,
	[Address] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[ID] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[CodeKindEstekhdam] [int] NULL ,
	[CodePlaceAmoozeshgah] [int] NULL ,
	[No_Darkhast] [nvarchar] (8) COLLATE Arabic_CI_AS NULL ,
	[SCol_Code] [nvarchar] (4) COLLATE Arabic_CI_AS NULL ,
	[SMoien_Code] [nvarchar] (4) COLLATE Arabic_CI_AS NULL ,
	[STafzili_Code] [nvarchar] (4) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
CREATE TABLE [dbo].[R_Setup] (
	[GroupNo] [nvarchar] (2) COLLATE Arabic_CI_AS NOT NULL ,
	[Name] [nvarchar] (60) COLLATE Arabic_CI_AS NOT NULL ,
	[Caption] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Field_Show_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Checked] [bit] NULL ,
	[Width] [smallint] NULL ,
	[F_Name] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[F_Size] [smallint] NULL ,
	[F_Bold] [bit] NULL ,
	[F_Color] [float] NULL ,
	[FieldIndex] [smallint] NULL ,
	[IsOrder] [bit] NULL ,
	[InOrderBy] [bit] NULL ,
	[OrderByIndex] [smallint] NULL ,
	[Number_Str] [bit] NULL ,
	[Alignment] [smallint] NULL ,
	[HasGroup] [bit] NULL 
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[Amozshgh] WITH NOCHECK ADD 
	CONSTRAINT [PK_Amozshgh] PRIMARY KEY  CLUSTERED 
	(
		[CodeInc]
	)  ON [PRIMARY] 
GO
ALTER TABLE [dbo].[Estkhdam] WITH NOCHECK ADD 
	CONSTRAINT [PK_Estkhdam] PRIMARY KEY  CLUSTERED 
	(
		[CodeInc]
	)  ON [PRIMARY] 
GO
ALTER TABLE [dbo].[Saham] WITH NOCHECK ADD 
	CONSTRAINT [PK_Saham] PRIMARY KEY  CLUSTERED 
	(
		[C_Code],
		[YearDate]
	)  ON [PRIMARY] 
GO
ALTER TABLE [dbo].[Saham_P] WITH NOCHECK ADD 
	CONSTRAINT [PK_Saham_P] PRIMARY KEY  CLUSTERED 
	(
		[C_Code]
	)  ON [PRIMARY] 
GO
ALTER TABLE [dbo].[R_Setup] WITH NOCHECK ADD 
	CONSTRAINT [PK_R_Setup_1] PRIMARY KEY  CLUSTERED 
	(
		[GroupNo],
		[Name]
	)  ON [PRIMARY] 
GO

[GO_NO]=10
BEGIN TRANSACTION

Alter Table MORKHASI Add 
  M_Index int NOT NULL IDENTITY (1, 1)

Go

ALTER TABLE dbo.MORKHASI
	DROP CONSTRAINT PK_MORKHASI
GO
ALTER TABLE dbo.MORKHASI ADD CONSTRAINT
	PK_MORKHASI PRIMARY KEY CLUSTERED 
	(
	CodePer,
	M_Index
	) ON [PRIMARY]

GO
COMMIT
Go

[GO_NO]=11

CREATE TABLE [dbo].[Gar_Oth] (
	[G_Code] [int] IDENTITY (1, 1) NOT NULL ,
	[G_Code_C] [int] NULL ,
	[G_Date] [datetime] NULL ,
	[C_Code] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Visit_Photo] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Photo2] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Photo3] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Photo4] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Photo5] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Photo6] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Photo7] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Photo8] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Photo_Comment] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Khadamat1] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Khadamat2] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Khadamat3] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Comment1] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Comment2] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment3] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment4] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Tel1] [nvarchar] (18) COLLATE Arabic_CI_AS NULL ,
	[Tel2] [nvarchar] (18) COLLATE Arabic_CI_AS NULL ,
        Price_Photo nvarchar(53) COLLATE Arabic_CI_AS NULL,
	[Price_Movie] [float] NULL ,
	[Price_pish] [float] NULL ,
	[Khadamat_Comment] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[Baghi] [float] NULL ,
	[JameKol] [float] NULL 
) ON [PRIMARY]
GO


COMMIT
GO
[GO_NO]=12
CREATE TABLE [dbo].[GarantyCard] (
	[G_Code] [int] IDENTITY (1, 1) NOT NULL ,
	[G_Code_C] [int] NULL ,
	[G_Date] [datetime] NULL ,
	[G_Date_S] [datetime] NULL ,
	[G_Date_E] [datetime] NULL ,
	[C_Code] [varchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Das_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Das_Serial] [nvarchar] (25) COLLATE Arabic_CI_AS NULL ,
	[G_Comment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[G_Canceld] [bit] NULL ,
	[G_CanceldComment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[GarantyCard] WITH NOCHECK ADD 
	CONSTRAINT [PK_Garanty] PRIMARY KEY  CLUSTERED 
	(
		[G_Code]
	)  ON [PRIMARY] 
GO
[GO_NO]=13
ALTER TABLE dbo.CUSTOMER ADD FactOutOfEtebar bit
GO
ALTER TABLE dbo.CUSTOMER ADD CONSTRAINT
	DF_CUSTOMER_FactOutOfEtebar DEFAULT 0 FOR FactOutOfEtebar
GO
[GO_NO]=14
ALTER TABLE dbo.M_GROUP ADD
	Priority int NULL
GO
ALTER TABLE dbo.S_GROUP ADD
	Priority int NULL
GO
ALTER TABLE dbo.Hrd_Fac_Art ADD
	Serial int NULL
GO

[GO_NO]=15
ALTER TABLE dbo.ARTICLE ADD
	SelectOrNo bit NULL
GO
ALTER TABLE dbo.ARTICLE ADD CONSTRAINT
	DF_ARTICLE_SelectOrNo DEFAULT 1 FOR SelectOrNo
GO
Update  ARTICLE
Set SelectOrNo = 0
WHERE (ISNULL(SelectOrNo,0) = 0)
GO
[GO_NO]=16
ALTER TABLE dbo.FACTURE ADD
	DarsadDirkardTasvieh float NULL
GO
[GO_NO]=17
CREATE TABLE dbo.TajzEnd
	(
	A_Code varchar(7) NOT NULL,
	A_Name varchar(60) NULL,
	A_Code_C nvarchar(20) NULL,
	Few float NULL,
	Few2 float NULL,
	Tool varchar(10) NULL,
	Arz varchar(10) NULL,
	Price_Hazineh1 float(53) NULL,
	Price_Hazineh2 float(53) NULL,
	Price_Hazineh3 float(53) NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.TajzEnd ADD CONSTRAINT
	PK_TajzEnd PRIMARY KEY CLUSTERED 
	(
	A_Code
	) ON [PRIMARY]
GO
CREATE TABLE dbo.TajzAval
	(
	End_ACode varchar(7) NOT NULL,
	A_Code varchar(7) NOT NULL,
	A_Name varchar(60) NULL,
	A_Code_C nvarchar(20) NULL,
	Few float(53) NULL,
	Few2 float(53) NULL,
	Tool varchar(10) NULL,
	Arz varchar(10) NULL,
	Price float(53) NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.TajzAval ADD CONSTRAINT
	PK_TajzAval PRIMARY KEY CLUSTERED 
	(
	End_ACode,
	A_Code
	) ON [PRIMARY]
GO
ALTER TABLE dbo.TajzAval ADD
	A_Code_C nvarchar(20) NULL
GO
ALTER TABLE dbo.TajzEnd ADD
	A_Code_C nvarchar(20) NULL
GO
[GO_NO]=18
ALTER TABLE dbo.AB_CATCH ADD
	Fac_Code_C int NULL
GO
[GO_NO]=19
CREATE TABLE [dbo].[VC_Facture] (
	[VCF_code] [int] IDENTITY (1, 1) NOT NULL ,
	[VCF_Code_C] [varchar] (7) COLLATE Arabic_CI_AS NULL ,
	[A_code] [varchar] (18) COLLATE Arabic_CI_AS NULL ,
	[C_Code] [varchar] (12) COLLATE Arabic_CI_AS NULL ,
	[VCF_Date] [datetime] NULL ,
	[VCF_Time] [char] (5) COLLATE Arabic_CI_AS NULL ,
	[VCF_RDate] [datetime] NULL ,
	[VCF_RTime] [char] (5) COLLATE Arabic_CI_AS NULL ,
	[VCT_Code] [tinyint] NULL ,
	[VCF_Zemanat] [varchar] (50) COLLATE Arabic_CI_AS NULL ,
	[VCF_SendType] [tinyint] NULL ,
	[VCF_CodePaik] [varchar] (12) COLLATE Arabic_CI_AS NULL ,
	[VCF_Count] [float] NULL ,
	[VCF_RCount] [float] NULL ,
	[VCF_Price] [float] NULL ,
	[VCF_Jarimeh] [float] NULL ,
	[VCF_SumPrice] [float] NULL ,
	[VCF_PaikPrice] [float] NULL ,
	[VCF_PaikTime] [varchar] (5) COLLATE Arabic_CI_AS NULL ,
	[VCF_AccessCount] [smallint] NULL ,
	[VCF_Day_Mojaz] [int] NULL ,
	[VCF_Day_jarimeh] [int] NULL ,
	[VCF_Takhfif] [float] NULL ,
	[Sanad_Code] [int] NULL ,
	[VCF_Naghd] [float] NULL ,
	[VCF_Check] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[VC_Type] (
	[VCT_Code] [tinyint] IDENTITY (1, 1) NOT NULL ,
	[VCT_Name] [varchar] (50) COLLATE Arabic_CI_AS NULL ,
	[VCT_Day] [int] NULL ,
	[VCT_Price] [int] NULL ,
	[VCT_LateDayPrice] [int] NULL 
) ON [PRIMARY]
GO

[GO_NO]=20
ALTER TABLE dbo.Article ADD
                     State bit Null
GO

[GO_NO]=21
ALTER TABLE dbo.Hrd_Facture ADD
	Price_Porsant float NULL ,
	Vaseteh_Code nvarchar(50) NULL
GO
[GO_NO]=22
ALTER TABLE dbo.ARTICLE ADD
	ToolArzType varchar(1) NULL
GO
ALTER TABLE dbo.FACTART ADD
	ToolArzType varchar(1) NULL
GO
[GO_NO]=23
CREATE TABLE [dbo].[Tamir] (
	[T_Index] [int] IDENTITY (1, 1) NOT NULL ,
	[A_Code] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[C_Code] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[T_Few] [float] NULL ,
	[Date_Raft] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[Date_Bargasht] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[Bargasht] [bit] NULL ,
	[Comment] [nvarchar] (200) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

[GO_NO]=24
ALTER TABLE dbo.ARTICLE
	DROP CONSTRAINT DF_ARTICLE_SelectOrNo
GO
EXECUTE sp_bindefault N'dbo.False', N'ARTICLE.SelectOrNo'
GO

[GO_NO]=25
BEGIN TRANSACTION
  Alter Table PrnF_Art Alter column 
            Boofeh_Ashpaz int NULL
Go
COMMIT
GO

[GO_NO]=26
ALTER TABLE dbo.SND_INDX ADD
	UsedByUser varchar(30) NULL
GO

[GO_NO]=27
ALTER TABLE dbo.SANAD ADD
	UsedByUser varchar(30) NULL
GO

ALTER TABLE dbo.SND_INDX
	DROP COLUMN usedbyuser
GO

[GO_NO]=28
ALTER TABLE dbo.MSETUP2 ADD
	Text text NULL
GO

ALTER TABLE dbo.FAC_BILD ADD
	HSarfasl1 varchar(11) NULL,
	HSarfasl2 varchar(11) NULL,
	TypeSarshekan int NULL
GO


[GO_NO]=29

BEGIN TRANSACTION
  Alter Table Kh_Gar_List Alter column 
                  GL_Serial nvarchar(20) NULL
Go
COMMIT
Go


[GO_NO]=30

ALTER TABLE dbo.ART_BAIL ADD
	Ab_Time datetime NULL
GO

ALTER TABLE dbo.AB_CATCH ADD
	Ab_Time datetime NULL
GO

[GO_NO]=31

ALTER TABLE dbo.Spdpay_f ADD
	SelectNaghd bit NULL
GO


[GO_NO]=32
CREATE TABLE [dbo].[Ghali] (
	[GH_Code] [int] IDENTITY (1, 1) NOT NULL ,
	[Gh_Name] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Gh_Type] [nvarchar] (1) COLLATE Arabic_CI_AS NULL ,
	[MG_Code] [nvarchar] (2) COLLATE Arabic_CI_AS NULL ,
	[SG_Code] [nvarchar] (2) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[SUBGhali] (
	[Gh_Code] [int] NOT NULL ,
	[MG_Code] [nvarchar] (2) COLLATE Arabic_CI_AS NOT NULL ,
	[SG_Code] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
Commit
Go

[GO_NO]=33

ALTER TABLE dbo.FACTURE ADD
	HazSarfasl nvarchar(11) NULL
GO
Commit
Go

[GO_NO]=34

CREATE TABLE [dbo].[Art_H_R] (
	[Code] [int] IDENTITY (1, 1) NOT NULL ,
	[Code_havaleh_Rasid] [int] NULL ,
	[A_Code] [nvarchar] (7) COLLATE Arabic_CI_AS NULL ,
	[Count] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Haval_R] (
	[Code_havaleh_Rasid] [int] IDENTITY (1, 1) NOT NULL ,
	[Num_havaleh_Rasid] [int] NULL ,
	[Havaleh_Rasid] [bit] NULL ,
	[C_Code] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Date_Sodor] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Q_Hlp] (
	[C_Code] [int] NOT NULL ,
	[A_Code] [nvarchar] (7) COLLATE Arabic_CI_AS NULL ,
	[A_Code_C] [nvarchar] (18) COLLATE Arabic_CI_AS NULL ,
	[A_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Count] [float] NULL ,
	[Model] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[M_groupname] [nvarchar] (30) COLLATE Arabic_CI_AS NULL ,
	[S_groupname] [nvarchar] (30) COLLATE Arabic_CI_AS NULL ,
	[VahedCode] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[HLP_] (
	[Code] [int] IDENTITY (1, 1) NOT NULL ,
	[Radif] [int] NULL ,
	[A_Code] [nvarchar] (7) COLLATE Arabic_CI_AS NULL ,
	[A_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Count] [float] NULL ,
	[Model] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[M_groupcode] [nvarchar] (2) COLLATE Arabic_CI_AS NULL ,
	[S_groupcode] [nvarchar] (2) COLLATE Arabic_CI_AS NULL ,
	[M_groupname] [nvarchar] (30) COLLATE Arabic_CI_AS NULL ,
	[S_groupname] [nvarchar] (30) COLLATE Arabic_CI_AS NULL ,
	[Code_havaleh_Rasid] [int] NULL ,
	[VahedCode] [int] NULL ,
	[A_Code_C] [nvarchar] (18) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

[GO_NO]=35

CREATE TABLE [dbo].[CustDtil] (
	[C_Code] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Code] [int] IDENTITY (1, 1) NOT NULL ,
	[Sh_No] [int] NULL ,
	[P_birth] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[P_Sodoor] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Melli_No] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

BEGIN TRANSACTION
EXECUTE sp_rename N'dbo.FACTART.Ghotr', N'Tmp_Ghotr__4', 'COLUMN'
GO
EXECUTE sp_rename N'dbo.FACTART.Tmp_Ghotr__4', N'Ghotr_', 'COLUMN'
GO
ALTER TABLE dbo.FACTART ADD
	Ghotr varchar(10) NULL
GO
Update FactArt
Set Ghotr = Ghotr_
GO
ALTER TABLE dbo.FACTART
	DROP COLUMN Ghotr_
GO
COMMIT
GO

[GO_NO]=36
CREATE TABLE dbo.Kharid_M
	(
	Kh_Date nvarchar(10) NOT NULL,
	C_Code nvarchar(10) NOT NULL,
	A_Index int NOT NULL IDENTITY (1, 1),
	BasePrice float(53) NULL,
	EndPrice float(53) NULL,
	IfKilo float(53) NULL,
	Wazn_Morghdari float(53) NULL,
	Wazn_Koshtargah float(53) NULL,
	OftKoshtargah float(53) NULL,
	Talafat float(53) NULL,
	FieKoshtar_Kilo float(53) NULL,
	Zayeat float(53) NULL,
	Code_Mabdae int NULL,
	Code_Maghsad int NULL,
	Name_Morghdari nvarchar(50) NULL,
	Kamiun nvarchar(50) NULL,
	Ranandeh nvarchar(50) NULL,
	Kerayeh float(53) NULL,
	Num_Kh int NULL,
	Wazn_Monjamed float(53) NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.Kharid_M ADD CONSTRAINT
	PK_Kharid_M_1 PRIMARY KEY CLUSTERED 
	(
	Kh_Date,
	C_Code,
	A_Index
	) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Address] (
	[Code] [int] IDENTITY (1, 1) NOT NULL ,
	[Address] [nvarchar] (100) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

ALTER TABLE dbo.Address ADD CONSTRAINT
	PK_Address PRIMARY KEY CLUSTERED 
	(
	Code
	) ON [PRIMARY]

GO
COMMIT

[GO_NO]=37

CREATE TABLE [dbo].[Snd_Haz] (
	[S_Code] [int] IDENTITY (1, 1) NOT NULL ,
	[S_Code_C] [int] NULL ,
	[S_Type] [nvarchar] (1) COLLATE Arabic_CI_AS NULL ,
	[Sanad_Date] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[Peivast] [smallint] NULL ,
	[C_Name] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[C_Address] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Sel_Babat] [smallint] NULL ,
	[Sel_Darkhast] [smallint] NULL ,
	[Sel_GAnbar] [smallint] NULL ,
	[Comment1] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment2] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment3] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment4] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment5] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment6] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Bed] [float] NULL ,
	[bes] [float] NULL ,
	[Kasrbed] [float] NULL ,
	[Kasrbes] [float] NULL ,
	[Com_Peivast1] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Com_Peivast2] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Com_Peivast3] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Com_Peivast4] [nvarchar] (100) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
 ALTER TABLE dbo.Snd_Haz ADD CONSTRAINT
	PK_Snd_Haz PRIMARY KEY CLUSTERED 
	(
	S_Code
	) ON [PRIMARY]
Go
COMMIT
Go

[GO_NO]=38

CREATE TABLE [dbo].[Tbl_Btr] (
	[Bt_code] [int] IDENTITY (1, 1) NOT NULL ,
	[Bt_code_c] [int] NOT NULL ,
	[Bt_type] [nvarchar] (1) COLLATE Arabic_CI_AS NULL ,
	[C_code] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[A_code] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[Few_in] [float] NULL ,
	[Few_out] [float] NULL ,
	[We_in] [float] NULL ,
	[We_out] [float] NULL ,
	[Bt_date] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[New_Old] [nvarchar] (1) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]

Go
Commit
GO

[GO_NO]=39

BEGIN TRANSACTION
ALTER TABLE dbo.ABAILPRE ADD
	Karton float NULL,
	Basteh float NULL
Go
Commit
GO

BEGIN TRANSACTION
ALTER TABLE dbo.M_GROUP ADD
	DarsadPorsant float NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.S_GROUP ADD
	DarsadPorsant float NULL
GO
COMMIT
GO



[GO_NO]=40

CREATE TABLE [dbo].[Res_Desk] (
	[Desk_Name] [nvarchar] (10) COLLATE Arabic_CI_AS NOT NULL ,
	[Desk_Comment] [nvarchar] (30) COLLATE Arabic_CI_AS NULL ,
	[Desk_Open] [bit] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Res_Fac_List] (
	[F_Code] [bigint] NOT NULL ,
	[FL_Index] [smallint] NOT NULL ,
	[A_Code] [char] (7) COLLATE Arabic_CI_AS NULL ,
	[FL_Few] [float] NULL ,
	[FL_Price] [float] NULL ,
	[FL_Comment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Res_Facture] (
	[F_Code] [bigint] IDENTITY (1, 1) NOT NULL ,
	[F_Type] [tinyint] NULL ,
	[F_Code_C] [bigint] NULL ,
	[F_Date] [smalldatetime] NULL ,
	[F_Time] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Ext_Time1] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Ext_Time2] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[C_Code] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Desk_Name] [nvarchar] (10) COLLATE Arabic_CI_AS NULL ,
	[F_Naghd] [float] NULL ,
	[F_Nesieh] [float] NULL ,
	[F_Takhfif] [float] NULL ,
	[F_Service] [float] NULL ,
	[F_Haz1] [float] NULL ,
	[F_Haz2] [float] NULL ,
	[F_SumPrice] [float] NULL ,
	[F_Comment] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[UserCode] [smallint] NULL ,
	[C_Code_Peik] [varchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Outer_Ord] [bit] NULL ,
	[Tasvieh_Peik] [bit] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Res_MenuArt] (
	[A_Type] [smallint] NOT NULL ,
	[ButtonNo] [smallint] NOT NULL ,
	[A_Code] [varchar] (7) COLLATE Arabic_CI_AS NULL ,
	[PerfectA_Name] [varchar] (50) COLLATE Arabic_CI_AS NULL ,
	[MinA_Name] [varchar] (20) COLLATE Arabic_CI_AS NULL ,
	[ShortKey] [int] NULL ,
	[IsActive] [bit] NULL ,
	[A_Image] [image] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

CREATE TABLE [dbo].[Res_MenuCategory] (
	[A_Type] [smallint] IDENTITY (1, 1) NOT NULL ,
	[A_Type_Name] [varchar] (50) COLLATE Arabic_CI_AS NULL ,
	[IsActive] [bit] NULL ,
	[SheetOrder] [smallint] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Res_Peik] (
	[RP_Code] [int] IDENTITY (1, 1) NOT NULL ,
	[C_Code] [char] (5) COLLATE Arabic_CI_AS NULL ,
	[RP_Date] [smalldatetime] NULL ,
	[Few] [int] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Res_Desk] WITH NOCHECK ADD 
	CONSTRAINT [PK_Res_Desk] PRIMARY KEY  CLUSTERED 
	(
		[Desk_Name]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Res_Fac_List] WITH NOCHECK ADD 
	CONSTRAINT [PK_Res_Fac_List] PRIMARY KEY  CLUSTERED 
	(
		[F_Code],
		[FL_Index]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Res_Facture] WITH NOCHECK ADD 
	CONSTRAINT [DF_Res_Facture_Tasvieh_Peik] DEFAULT (0) FOR [Tasvieh_Peik],
	CONSTRAINT [PK_Res_Facture] PRIMARY KEY  CLUSTERED 
	(
		[F_Code]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Res_MenuArt] WITH NOCHECK ADD 
	CONSTRAINT [PK_Res_MenuArt] PRIMARY KEY  CLUSTERED 
	(
		[A_Type],
		[ButtonNo]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Res_MenuCategory] WITH NOCHECK ADD 
	CONSTRAINT [PK_Res_MenuCategory] PRIMARY KEY  CLUSTERED 
	(
		[A_Type]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Res_Peik] WITH NOCHECK ADD 
	CONSTRAINT [PK_Res_Peik] PRIMARY KEY  CLUSTERED 
	(
		[RP_Code]
	)  ON [PRIMARY] 
GO

Commit

Go

[GO_NO]=41
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	Report_Filtered bit NULL,
	City_Report int NULL
GO
COMMIT
Go

[GO_NO]=42
BEGIN TRANSACTION
ALTER TABLE dbo.Kh_Facture ADD
	F_Status2 tinyint NULL,
	F_Code_C2 int NULL,
                Das_No1 nvarchar(30)  NULL,
                Das_No2 nvarchar(30)  NULL,
                Das_No3 nvarchar(30)  NULL
GO
COMMIT
Go

[GO_NO]=43
CREATE TABLE [dbo].[CustomerDetail] (
	[C_Index] [int] IDENTITY (1, 1) NOT NULL ,
	[C_Code] [varchar] (5) COLLATE Arabic_CI_AS NOT NULL ,
	[FileItem] [image] NULL ,
	[FileName] [varchar] (50) COLLATE Arabic_CI_AS NULL ,
	[FileExtension] [char] (4) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

ALTER TABLE [dbo].[CustomerDetail] WITH NOCHECK ADD 
	CONSTRAINT [PK_CtustomerDetail] PRIMARY KEY  CLUSTERED 
	(
		[C_Index]
	)  ON [PRIMARY] 
GO

[GO_NO]=44
BEGIN TRANSACTION
ALTER TABLE dbo.FBAILPRE ADD
	UserCode int NULL
GO
COMMIT
Go

[GO_NO]=45
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	NotshowBuyPrice bit NULL
GO
COMMIT
Go

[GO_NO]=46
BEGIN TRANSACTION
ALTER TABLE dbo.Kh_Facture ADD
	Date_End_Taamer smalldatetime NULL,
	Time_End_Taamer nvarchar(5) NULL
GO
COMMIT
GO

[Go_No]=47
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	CashSelected bit NULL,
	CashTitleCode char(11) NULL
GO
COMMIT
Go
[Go_No]=48
BEGIN TRANSACTION
CREATE TABLE dbo.Ghlprep
	(
	S_G_Code varchar(50) NOT NULL,
	S_G_Name varchar(30) NULL,
	Sum_Sel float NULL,
	Sum_Buy float NULL,
	CountRec bigint NULL,
	SumExist float NULL,
	SumPriceF float NULL,
	SumPriceY float NULL,
	SumF float NULL,
	SumY float NULL,
	TagTypa2 varchar(2) NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.Ghlprep ADD CONSTRAINT
	PK_Ghlprep_1 PRIMARY KEY CLUSTERED 
	(
	S_G_Code
	) ON [PRIMARY]

GO
COMMIT
Go

BEGIN TRANSACTION
CREATE TABLE dbo.Artlabel
	(
	[Index] varchar(1) NOT NULL,
	Diamond varchar(50) NULL,
	Emerald varchar(50) NULL,
	Ruby varchar(50) NULL,
	Saphire varchar(50) NULL,
	Turqouise varchar(50) NULL,
	Pearl varchar(50) NULL,
	Gold varchar(50) NULL,
	Silver varchar(50) NULL,
	Platinum varchar(50) NULL,
	Other varchar(50) NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.Artlabel ADD CONSTRAINT
	PK_Artlabel PRIMARY KEY CLUSTERED 
	(
	[Index]
	) ON [PRIMARY]

GO
COMMIT
Go

BEGIN TRANSACTION
CREATE TABLE dbo.Gsetup
	(
	TypeSell varchar(1) NOT NULL,
	FactEng_Farsi bit NULL,
	DrawKadr bit NULL,
	TypeSearch varchar(10) NULL,
	Dollar varchar(20) NULL,
	Tala varchar(20) NULL,
	PreviewPrint bit NULL,
	Pc smallint NULL,
	PcStr varchar(10) NULL,
	Ct smallint NULL,
	CtStr varchar(10) NULL,
	Gr smallint NULL,
	GrStr varchar(10) NULL,
	Li smallint NULL,
	LiStr varchar(10) NULL,
	[No] smallint NULL,
	NoStr varchar(10) NULL,
	Mm smallint NULL,
	MmStr varchar(10) NULL,
	ELandScape_Portrait bit NULL,
	FLandScape_Portrait bit NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.Gsetup ADD CONSTRAINT
	PK_Gsetup PRIMARY KEY CLUSTERED 
	(
	TypeSell
	) ON [PRIMARY]

GO
COMMIT
Go

BEGIN TRANSACTION
CREATE TABLE dbo.GTalaei
	(
	T_Index int NOT NULL IDENTITY (1, 1),
	C_Code varchar(5) NULL,
	T_Date datetime NULL,
	T_Time datetime NULL,
	Few_In float NULL,
	Few_Out float NULL,
	Price float NULL,
	Comment varchar(60) NULL,
	P_In smallint NULL,
	P_Out smallint NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.GTalaei ADD CONSTRAINT
	PK_GTalaei PRIMARY KEY CLUSTERED 
	(
	T_Index
	) ON [PRIMARY]

GO
COMMIT
Go
BEGIN TRANSACTION
CREATE TABLE dbo.TAGTYPES
	(
	S_GroupCode varchar(2) NOT NULL,
	TagCode varchar(3) NULL,
	NextTagNumber int NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.TAGTYPES ADD CONSTRAINT
	PK_TAGTYPES PRIMARY KEY CLUSTERED 
	(
	S_GroupCode
	) ON [PRIMARY]

GO
COMMIT
Go

BEGIN TRANSACTION
CREATE TABLE dbo.FACTTARH
	(
	ComponentName varchar(100) NOT NULL,
	FFont_Color int NULL,
	LFont_Color int NULL,
	FFont_Name varchar(50) NULL,
	LFont_Name varchar(50) NULL,
	FFont_Size int NULL,
	LFont_Size int NULL,
	FFont_Style smallint NULL,
	LFont_Style smallint NULL,
	FTop smallint NULL,
	LTop smallint NULL,
	FLeft smallint NULL,
	LLeft smallint NULL,
	FName varchar(100) NULL,
	LName varchar(100) NULL,
	FHeight smallint NULL,
	LHeight smallint NULL,
	FWidth smallint NULL,
	LWidth smallint NULL,
	Kind varchar(1) NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.FACTTARH ADD CONSTRAINT
	PK_FACTTARH PRIMARY KEY CLUSTERED 
	(
	ComponentName
	) ON [PRIMARY]

GO
COMMIT
Go

[Go_No]=49
BEGIN TRANSACTION
ALTER TABLE dbo.ANB_SER ADD
	UsedByUser varchar(30) NULL
GO
COMMIT
Go

[Go_No]=50
BEGIN TRANSACTION
ALTER TABLE dbo.Res_Peik ADD
	price float NULL
GO
COMMIT
GO

[Go_No]=51
if not exists(select 'sanad_Code' from syscolumns where [id]=(Select [id] from Sysobjects where [name]= 'Kh_Facture' And Xtype = 'U'))
BEGIN TRANSACTION
ALTER TABLE dbo.Kh_Facture ADD
	Sanad_code int NULL
GO
COMMIT
GO
[Go_No]=52
CREATE TABLE [ContractCheques] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[CNumber] [char] (30) COLLATE Arabic_CI_AS NULL ,
	[CDate] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[CFee] [float] NULL ,
	[CId] [int] NULL ,
	CONSTRAINT [PK_ContractCheques] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


[Go_No]=53

CREATE TABLE [ContractRent] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[LrName] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[LrLastName] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[LrFatherName] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[LrCeNo] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[LrFrom] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[LrBirthYear] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[LrAddress] [nvarchar] (500) COLLATE Arabic_CI_AS NULL ,
	[LrTelNumber] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[Comment] [nvarchar] (500) COLLATE Arabic_CI_AS NULL ,
	[Comment1] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment2] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment3] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment4] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[LsName] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[LsLastName] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[LsFatherName] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[LsCeNo] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[LsFrom] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[LsBirthYear] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[LsAddress] [nvarchar] (500) COLLATE Arabic_CI_AS NULL ,
	[LsTelNumber] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[PlNumber] [nvarchar] (30) COLLATE Arabic_CI_AS NULL ,
	[LrBirthPlace] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[LsBirthPlace] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[RentFrom] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[RentTo] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[RentDuration] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[CashFee] [float] NULL ,
	[CostusCount] [int] NULL ,
	[CostusCost] [float] NULL ,
	[QuarterDay] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[ChequeCount] [int] NULL ,
	[LrAccountNumber] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[RentFee] [float] NULL ,
	[LookersOnName] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[RentContractDate] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[RentContractDateC] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[CopyCount] [int] NULL ,
	[CopyCost] [float] NULL ,
	[No] [int] NULL ,
	CONSTRAINT [PK_ContractRent] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO



[Go_No]=54

CREATE TABLE [ContractSell] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[SaName] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[SaLastName] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[SaFatherName] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[SaCeNo] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[SaFrom] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[SaBirthYear] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[SaHomeAddress] [nvarchar] (500) COLLATE Arabic_CI_AS NULL ,
	[SaTelNumber] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[Comment] [nvarchar] (500) COLLATE Arabic_CI_AS NULL ,
	[Comment1] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment2] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment3] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Comment4] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[ByName] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[ByLastName] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[ByFatherName] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[ByCeNo] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[ByFrom] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[ByBirthYear] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[ByHomeAddress] [nvarchar] (500) COLLATE Arabic_CI_AS NULL ,
	[ByTelNumber] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[PlNumber] [nvarchar] (30) COLLATE Arabic_CI_AS NULL ,
	[PlSharjeDate] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[PlTimeOfPayOff] [smallint] NULL ,
	[PlDateOfPayOff] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[CoBailFee] [float] NULL ,
	[CoBailPersonName] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[CoTotalFee] [float] NULL ,
	[CoCashFee] [float] NULL ,
	[CoChequeFee] [float] NULL ,
	[CoDate] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[CoVocherFee] [float] NULL ,
	[CoCovherDate] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[CoChequeNumber] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[No] [int] NULL ,
	CONSTRAINT [PK_ContractSell] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


[Go_No]=55

CREATE TABLE [dbo].[Surttitl] (
	[C_Code] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Number_Bar] [int] NULL ,
	[BarDate] [smalldatetime] NULL ,
	[Boneh] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Pelak] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Runner] [nvarchar] (30) COLLATE Arabic_CI_AS NULL ,
	[Naghd] [float] NULL ,
	[Saier] [float] NULL ,
	[Keraieh] [float] NULL ,
	[SanadCode] [int] NULL 
) ON [PRIMARY]
GO

[Go_No]=56

BEGIN TRANSACTION
ALTER TABLE dbo.AB_CATCH ADD
	GetPrice float(53) NULL
GO
COMMIT
GO


[Go_No]=57

BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	ChangePriceKala bit NULL
GO
ALTER TABLE dbo.USERDB ADD CONSTRAINT
	DF_USERDB_ChangePriceKala DEFAULT (0) FOR ChangePriceKala
GO
COMMIT
Go

[GO_NO]=58

CREATE TABLE [dbo].[MILLANG] (
	[C_Code] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[C_Codep] [nvarchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Num_code] [int] NULL ,
	[Personel] [bit] NULL ,
	[Date_roz] [smalldatetime] NULL ,
	[Num_Motor] [float] NULL ,
	[Type_Motor] [nvarchar] (30) COLLATE Arabic_CI_AS NULL ,
	[Num_Khodro] [float] NULL ,
	[Comment] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[SHAHR] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

[GO_NO]=59

CREATE TABLE [dbo].[MSETUP3] (
	[Name] [varchar] (50) COLLATE Arabic_CI_AS NOT NULL ,
	[Boolean] [bit] NULL ,
	[Integer] [int] NULL ,
	[Double] [float] NULL ,
	[String] [varchar] (1024) COLLATE Arabic_CI_AS NULL ,
	[Text] [text] COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


[GO_NO]=60

CREATE TABLE [PPCART] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[Code1] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Name1] [nvarchar] (250) COLLATE Arabic_CI_AS NULL ,
	[Code2] [nvarchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Name2] [nvarchar] (250) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO



[GO_NO]=61
if ((SELECT COUNT([ID]) FROM [dbo].[PPCART]) < 11)
BEGIN
  declare @LoopCounter int
  set @LoopCounter = 0
  while @LoopCounter < 11 
  begin
    insert into [dbo].[PPCART](Code1,Name1,Code2,Name2)
    values
     ('','','','')
    set @LoopCounter = @LoopCounter + 1
  end
end
GO

[GO_NO]=62
CREATE TABLE [Res_Order] (
	[OID] [int] IDENTITY (1, 1) NOT NULL ,
	[UserCodeInc] [int] NULL ,
	[Desk_Name] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[C_Code] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[DateTime] [datetime] NULL ,
	CONSTRAINT [PK_Res_Order] PRIMARY KEY  CLUSTERED 
	(
		[OID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO

[GO_NO]=63
CREATE TABLE [Res_OrderList] (
	[OLID] [int] IDENTITY (1, 1) NOT NULL ,
	[OID] [int] NULL ,
	[A_Code] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[CountA] [int] NULL ,
	CONSTRAINT [PK_Res_OrderList] PRIMARY KEY  CLUSTERED 
	(
		[OLID]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


[GO_NO]=64
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Vaset_Factor_Tolid]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[Vaset_Factor_Tolid] (
	[Fac_Code_Bild] [varchar] (6) COLLATE Arabic_CI_AS NOT NULL ,
	[Fac_Code] [varchar] (6) COLLATE Arabic_CI_AS NOT NULL ,
	[Fac_Type] [varchar] (1) COLLATE Arabic_CI_AS NOT NULL ,
	[A_Code] [varchar] (7) COLLATE Arabic_CI_AS NOT NULL ,
	[A_Index] [smallint] NOT NULL 
) ON [PRIMARY]
GO
[GO_NO]=65
BEGIN TRANSACTION
ALTER TABLE dbo.SANAD ADD
	Transfer bit NULL
GO
COMMIT
Go


[GO_NO]=66

CREATE TABLE [dbo].[DifferDData] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[num] [varchar] (15) COLLATE Arabic_CI_AS NULL ,
	[date] [datetime] NULL ,
	[value] [int] NULL ,
	[kindId] [smallint] NULL ,
	[typeId] [smallint] NULL ,
	[Index] [int] NULL ,
	[differHDataId] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[DifferDiskette] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[fileType] [smallint] NULL ,
	[masterStatus] [smallint] NULL ,
	[fileDeclId] [int] NULL ,
	[title] [varchar] (25) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[DifferDisketteToAccount] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[disketteId] [int] NULL ,
	[Bank_Code] [varchar] (2) COLLATE Arabic_CI_AS NULL ,
	[Account_N] [varchar] (18) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[DifferEqualize] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[DifferDDataId] [int] NULL ,
	[Index] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[DifferFileDeclDBF] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[lineNo] [bit] NULL ,
	[lineCnt] [smallint] NULL ,
	[dateLen] [smallint] NULL ,
	[dateKind] [bit] NULL ,
	[dateSeprator] [smallint] NULL ,
	[diskNumName] [varchar] (25) COLLATE Arabic_CI_AS NULL ,
	[diskNumType] [smallint] NULL ,
	[startDateName] [varchar] (25) COLLATE Arabic_CI_AS NULL ,
	[endDateName] [varchar] (25) COLLATE Arabic_CI_AS NULL ,
	[docNumName] [varchar] (25) COLLATE Arabic_CI_AS NULL ,
	[docNumType] [smallint] NULL ,
	[docDateName] [varchar] (25) COLLATE Arabic_CI_AS NULL ,
	[docValueName] [varchar] (25) COLLATE Arabic_CI_AS NULL ,
	[docValueType] [smallint] NULL ,
	[docKindName] [varchar] (25) COLLATE Arabic_CI_AS NULL ,
	[docKindType] [smallint] NULL ,
	[docTypeName] [varchar] (25) COLLATE Arabic_CI_AS NULL ,
	[docTypeType] [smallint] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[DifferFileDeclTxt] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[lineNo] [bit] NULL ,
	[lineCnt] [smallint] NULL ,
	[dateLen] [smallint] NULL ,
	[dateKind] [bit] NULL ,
	[dateSeprator] [smallint] NULL ,
	[diskNumPos] [smallint] NULL ,
	[diskNumLen] [smallint] NULL ,
	[startDatePos] [smallint] NULL ,
	[endDatePos] [smallint] NULL ,
	[docNumPos] [smallint] NULL ,
	[docNumLen] [smallint] NULL ,
	[docDatePos] [smallint] NULL ,
	[docValuePos] [smallint] NULL ,
	[docValueLen] [smallint] NULL ,
	[docKindPos] [smallint] NULL ,
	[docKindLen] [smallint] NULL ,
	[docTypePos] [smallint] NULL ,
	[docTypeLen] [smallint] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[DifferHData] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[num] [varchar] (15) COLLATE Arabic_CI_AS NULL ,
	[startDate] [datetime] NULL ,
	[endDate] [datetime] NULL ,
	[account_N] [varchar] (18) COLLATE Arabic_CI_AS NULL ,
	[Bank_Code] [varchar] (2) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[DifferTypeValue] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[value] [varchar] (20) COLLATE Arabic_CI_AS NULL ,
	[typeId] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[DifferTypes] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[means] [varchar] (20) COLLATE Arabic_CI_AS NULL ,
	[concept] [smallint] NULL ,
	[disketteId] [int] NULL ,
	[Kind] [smallint] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[DifferDData] WITH NOCHECK ADD 
	CONSTRAINT [PK_DifferDData] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[DifferDiskette] WITH NOCHECK ADD 
	CONSTRAINT [PK_DifferDiskette] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[DifferDisketteToAccount] WITH NOCHECK ADD 
	CONSTRAINT [PK_DifferDisketteToAccount] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[DifferEqualize] WITH NOCHECK ADD 
	CONSTRAINT [PK_DifferEqualize] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[DifferFileDeclDBF] WITH NOCHECK ADD 
	CONSTRAINT [PK_DifferFileDeclDBF] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[DifferFileDeclTxt] WITH NOCHECK ADD 
	CONSTRAINT [PK_DifferFileDeclTxt] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[DifferHData] WITH NOCHECK ADD 
	CONSTRAINT [PK_DifferHData] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[DifferTypeValue] WITH NOCHECK ADD 
	CONSTRAINT [PK_DifferTypeValue] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[DifferTypes] WITH NOCHECK ADD 
	CONSTRAINT [PK_DifferTypes] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[DifferDisketteToAccount] WITH NOCHECK ADD 
	CONSTRAINT [IX_DifferDisketteToAccount] UNIQUE  NONCLUSTERED 
	(
		[Bank_Code],
		[Account_N]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[DifferEqualize] WITH NOCHECK ADD 
	CONSTRAINT [IX_Index] UNIQUE  NONCLUSTERED 
	(
		[Index]
	)  ON [PRIMARY] 
GO

[GO_NO]=67
BEGIN TRANSACTION
ALTER TABLE dbo.SANAD ADD
	Review bit NULL
GO
COMMIT
GO

[GO_NO]=68
BEGIN TRANSACTION
ALTER TABLE dbo.FACTART ADD
	Darsad_Type bit NULL
GO
COMMIT
GO

[GO_NO]=69
BEGIN TRANSACTION
ALTER TABLE dbo.ARZ_LIST ADD
	Arz_Type int NULL
GO
COMMIT
Go
[GO_NO]=70
BEGIN TRANSACTION
  Alter Table Kh_Facture_Haz 
   Add C_Code_Karshenas2 nvarchar(5) NULL
GO
COMMIT
Go

[GO_NO]=72
BEGIN TRANSACTION
Alter Table ANB_SER
   Add UsedByUser varchar(50) NULL
GO
COMMIT
Go

[GO_NO]=73

BEGIN TRANSACTION
ALTER TABLE dbo.FACTSPD ADD
	SaveName varchar(60) NULL
GO
COMMIT
Go

[GO_NO]=74
BEGIN TRANSACTION
ALTER TABLE dbo.SANAD ADD CONSTRAINT
	PK_SANAD PRIMARY KEY CLUSTERED 
	(
	Sanad_Code
	) ON [PRIMARY]

GO
COMMIT
GO
[GO_NO]=75
CREATE TABLE [dbo].[Tahvildar] (
	[UserCodeInc] [int] NOT NULL ,
	[dt] [datetime] NOT NULL ,
	[Sum_Kol] [float] NULL ,
	[Sum_Naghd] [float] NULL ,
	[Sum_Check] [float] NULL ,
	[Sum_Havaleh] [float] NULL ,
	[Sum_Takhfif] [float] NULL ,
	[Afzoni_Tahvildar] [float] NULL ,
	[Kasri_Tahvildar] [float] NULL ,
	[Afzoni_Mali] [float] NULL ,
	[Kasri_Mali] [float] NULL 
) ON [PRIMARY]
GO
COMMIT
GO

[GO_NO]=76
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	Cust_City varchar(80) NULL,
	Cust_Mantagheh varchar(80) NULL,
	Cust_Ostan varchar(80) NULL
GO
COMMIT
GO

[GO_NO]=77
BEGIN TRANSACTION
ALTER TABLE dbo.FACTSPD ADD
	Fac_Comment varchar(70) NULL
GO
COMMIT
GO

[GO_NO]=78
BEGIN TRANSACTION
ALTER TABLE dbo.ACOUND_N ADD
	Pos bit NULL,
	wage float(53) NULL,
	Max_Price float(53) NULL,
                Pos_Connected bit NULL,
                Pos_Serial nvarchar(30) NULL,
	Wage_Col_Code nvarchar(3) NULL,
	Wage_Moien_Code nvarchar(4) NULL,
	Wage_Tafzili_Code nvarchar(4) NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FACTURE ADD
	Card float NULL
GO
COMMIT
GO

[GO_NO]=79
ALTER TABLE dbo.Res_Facture ADD
	ResFacSender  tinyint  NULL

GO

ALTER TABLE [dbo].[Res_Facture] ADD 
	CONSTRAINT [DF_Res_Facture_ResFacSender] DEFAULT (0) FOR [ResFacSender]

GO

[GO_NO]=80
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	DarsadShahrdari float NULL,
	DarsadEconomicCode float NULL
GO
COMMIT
GO

[GO_NO]=81
BEGIN TRANSACTION
update phone_B Set Tel1 = '88101000',Tel2 = '', Fax = '88555413',
       [E-mail] = 'Support@TorfehNegar.com', Family = '  _   '
       where typeRecord = 1 and Code = 1

Declare @Count int
Set @Count = (Select Count(typeRecord) From Phone_B where typeRecord = 1)
if @Count <=1
Begin
insert into phone_B (Tel1,Tel2,Fax,Comment,[E-Mail],Address,Family,Name_Ekhtesari,City_Name,Zip_Code,TypeRecord,G_Code)
values ('22221142','','22902380','      -       -        ','Sale@TorfehNegar.com',
        '  ϡ    ǡ  ҡ 10','  _  ','TNC','','021',1,1)
End

GO
COMMIT
GO

[GO_NO]=82
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	Cust_Job varchar(20) NULL
GO
COMMIT
GO

[GO_NO]=83
BEGIN TRANSACTION
ALTER TABLE dbo.ABAILPRE ADD
	ToolArzType varchar(1) NULL
GO
COMMIT
GO

[GO_NO]=84
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	HazfKala bit NULL,
	RepeatPrint bit NULL
GO
COMMIT
GO

[GO_NO]=85
CREATE TABLE [dbo].[CallerId] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[TelNumber] [nvarchar] (15) COLLATE Arabic_CI_AS NULL ,
	[C_Code] [varchar] (5) COLLATE Arabic_CI_AS NULL ,
	[dt] [datetime] NULL ,
	[Line] [tinyint] NULL ,
	[Id_Action] [tinyint] NULL ,
	[Id_Mode] [tinyint] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[CallerId] WITH NOCHECK ADD 
	CONSTRAINT [PK_CallerId] PRIMARY KEY  CLUSTERED 
	(
		[Id]
	)  ON [PRIMARY] 
GO

[GO_NO]=86
BEGIN TRANSACTION
CREATE TABLE [dbo].[SanadHelp] (
	[index] [int] IDENTITY (1, 1) NOT NULL ,
	[Col_Code] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[Moien_Code] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[Tafzili_Code] [char] (10) COLLATE Arabic_CI_AS NULL ,
	[Sarfasl_Code] [varchar] (15) COLLATE Arabic_CI_AS NULL ,
	[Sarfasl_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Bed] [float] NULL ,
	[Bes] [float] NULL ,
	[Comment_Line] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Bed2] [float] NULL ,
	[Bes2] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[SndHelp] (
	[Index] [int] NULL ,
	[Col_code] [char] (5) COLLATE Arabic_CI_AS NULL ,
	[Moien_Code] [char] (5) COLLATE Arabic_CI_AS NULL ,
	[Tafzili_code] [char] (5) COLLATE Arabic_CI_AS NULL ,
	[Sarfasl_Code] [char] (15) COLLATE Arabic_CI_AS NULL ,
	[Sarfasl_Name] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Jozeh] [float] NULL ,
	[Bed] [float] NULL ,
	[Bes] [float] NULL ,
	[Show_Daftar] [bit] NULL ,
	[Show_Jozeh] [bit] NULL ,
	[Comment_Line] [nvarchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Date_Line] [datetime] NULL ,
	[Number_Line] [float] NULL 
) ON [PRIMARY]
GO
COMMIT
GO

[GO_NO]=87
BEGIN TRANSACTION
DROP INDEX dbo.Kh_Dastgah.Das_NameIndex
GO
COMMIT
GO

[GO_NO]=88
BEGIN TRANSACTION
ALTER TABLE dbo.GHEST ADD
	Gh_Babat varchar(50) NULL
GO
COMMIT
GO

[GO_NO]=89
BEGIN TRANSACTION
ALTER TABLE SANAD ALTER COLUMN 
          Comment NVARCHAR(500)  NULL
GO
COMMIT
GO

[GO_NO]=90
BEGIN TRANSACTION
ALTER TABLE dbo.ANB_SER ADD 
	Guarantor nvarchar(30) NULL,
	BuyDate datetime NULL,
	GuaranteeDuration int NULL,
	Comment nvarchar(100) NULL

GO
ALTER TABLE dbo.ANB_SER  ALTER COLUMN 
	UsedByUser varchar(50) NULL

GO
COMMIT
GO
BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
	SerialUsage bit NULL
GO
COMMIT
GO

[GO_NO]=91
CREATE TABLE [dbo].[tblBijakBarbari] (
	[BCode] [int] IDENTITY (1, 1) NOT NULL ,
	[BCode_c] [int] NULL  ,
	[BDate] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Few] [float] NULL ,
	[Shamel] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Kind] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[CodeCust] [nvarchar] (5) COLLATE Arabic_CI_AS NOT NULL ,
	[Comment] [nvarchar] (200) COLLATE Arabic_CI_AS NULL ,
	[BarbarName] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Vahed] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[tblBijakBarbari] ADD CONSTRAINT
	PK_tblBijakBarbari_1 PRIMARY KEY CLUSTERED 
	(
	[BCode],
	[CodeCust]
	) ON [PRIMARY]

Go
COMMIT
Go

[GO_NO]=92
 if not exists (select name from syscolumns where id in(select id from sysobjects where name='customer') and name='KarPorsant')
  alter table customer add KarPorsant float not null default 0.0
GO
COMMIT
Go


[GO_NO]=93
BEGIN TRANSACTION
CREATE TABLE [dbo].[RQType] (
	[RQT_Id] [int] IDENTITY (1, 1) NOT NULL ,
	[RQT_Name] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[BackColor] [int] NULL ,
	[FontColor] [int] NULL 
) ON [PRIMARY]
GO
COMMIT
GO

[GO_NO]=94
BEGIN TRANSACTION
ALTER TABLE dbo.RQTITLE ADD
	RQT_Id int NULL,
	Comment nvarchar(50) NULL,
                 Wait bit NULL,
                 Worker int NULL
GO
ALTER TABLE dbo.RQTITLE ADD CONSTRAINT
	DF_RQTITLE_Wait DEFAULT 0 FOR Wait
GO
COMMIT
GO

[GO_NO]=95
BEGIN TRANSACTION
ALTER TABLE dbo.RQDETAIL ADD
	OkReceive bit NULL
GO
ALTER TABLE dbo.RQDETAIL ADD CONSTRAINT
	DF_RQDETAIL_OkReceive DEFAULT 0 FOR OkReceive
GO
COMMIT
GO

[GO_NO]=96
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	EnterPriorDate_FewDay smallint NULL,
                 UserGroup int NULL
GO
ALTER TABLE dbo.USERDB ADD CONSTRAINT
	DF_USERDB_EnterPriorDate_FewDay DEFAULT 0 FOR EnterPriorDate_FewDay
GO
COMMIT
GO

[GO_NO]=97
BEGIN TRANSACTION
ALTER TABLE dbo.SETPRINT ADD
	PrintLines2 smallint NULL,
	PrintLineFromFact2 bit NULL
GO
COMMIT
GO

[GO_NO]=98
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	CustRename bit NOT NULL DEFAULT 0
GO
COMMIT
GO


[GO_NO]=99
BEGIN TRANSACTION
CREATE TABLE dbo.PorsantVaseteh
	(
	A_Code varchar(7) NOT NULL,
	C_Code varchar(5) NOT NULL,
	DarsadPorsantV  real NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.PorsantVaseteh ADD CONSTRAINT
	PK_PorsantVaseteh PRIMARY KEY CLUSTERED 
	(
	A_Code,
	C_Code
	) ON [PRIMARY]

GO
COMMIT
GO


[GO_NO]=100
BEGIN TRANSACTION
ALTER TABLE dbo.RQTITLE ADD
	TaeedUserName int NULL,
	TaeedDate datetime NULL,
	TaeedTime datetime NULL,
	TahvilUserName int NULL,
	TahvilDate datetime NULL,
	TahvilTime datetime NULL,
                ShowOrHide bit NULL
GO
ALTER TABLE dbo.RQTITLE ADD CONSTRAINT
	DF_RQTITLE_ShowOrHide DEFAULT 1 FOR ShowOrHide
GO
COMMIT
GO


[GO_NO]=101
BEGIN TRANSACTION
ALTER TABLE dbo.ABAILPRE ADD
	DarsadPorsant float(53) NULL
GO
COMMIT
GO


[GO_NO]=102
BEGIN TRANSACTION
Update Facture Set UserCode=1 Where UserCode=0
GO
COMMIT
GO

[GO_NO]=103
BEGIN TRANSACTION
ALTER TABLE dbo.FBAILPRE ADD
	DAmozesh float NOT NULL DEFAULT 0,
	DShahrdary float NOT NULL DEFAULT 0,
	DCEghtesad float NOT NULL DEFAULT 0
GO
COMMIT
GO

[GO_NO]=104
BEGIN TRANSACTION
ALTER TABLE dbo.FACTART ADD
	Levy float NULL,
	Scot float NULL
GO
ALTER TABLE dbo.FACTART ADD CONSTRAINT
	DF_FACTART_Levy DEFAULT 0 FOR Levy
GO
ALTER TABLE dbo.FACTART ADD CONSTRAINT
	DF_FACTART_Scot DEFAULT 0 FOR Scot
GO
COMMIT
GO
BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
	Include_Tax bit NOT NULL CONSTRAINT DF_ARTICLE_Include_Tax DEFAULT 0,
	Levy float NULL,
	scot float NULL
GO
COMMIT
GO
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	Zip_Code varchar(10) NULL,
	National_Code varchar(10) NULL
GO
COMMIT
GO
BEGIN TRANSACTION
ALTER TABLE dbo.FACTURE ADD
	Sum_Levy float NULL,
	Sum_Scot float NULL
GO
ALTER TABLE dbo.FACTURE ADD CONSTRAINT
	DF_FACTURE_Sum_Levy DEFAULT 0 FOR Sum_Levy
GO
ALTER TABLE dbo.FACTURE ADD CONSTRAINT
	DF_FACTURE_Sum_Scot DEFAULT 0 FOR Sum_Scot
GO
COMMIT
GO

[GO_NO]=105
BEGIN TRANSACTION
ALTER TABLE dbo.Spdpay_f ADD
	Sum_Levy float NULL,
	Sum_Scot float NULL
GO
COMMIT
GO
BEGIN TRANSACTION
ALTER TABLE dbo.FACTSPD ADD
	Levy float NULL,
	Scot float NULL
GO
COMMIT
GO

[GO_NO]=106
BEGIN TRANSACTION
ALTER TABLE dbo.Hrd_Fac_Art ADD
	Levy float NULL,
	Scot float NULL
GO
COMMIT
GO

[GO_NO]=107
BEGIN TRANSACTION
ALTER TABLE dbo.Kh_Fac_List ADD
	Levy float  NOT NULL Default 0,
	Scot float NOT NULL Default 0
GO
COMMIT

[GO_NO]=108
BEGIN TRANSACTION
ALTER TABLE dbo.Kh_Facture_Haz ADD
	Haz_Avarez float NULL
GO
COMMIT
GO

[GO_NO]=109
BEGIN TRANSACTION
ALTER TABLE dbo.FBAILPRE ADD
	Sum_Levy float NULL,
	Sum_Scot float NULL
GO
COMMIT
GO

[GO_NO]=110
BEGIN TRANSACTION
ALTER TABLE dbo.ABAILPRE ADD
	Levy float NULL,
	Scot float NULL
GO
COMMIT
GO

[GO_NO]=111
BEGIN TRANSACTION
ALTER TABLE dbo.TRAVELCH ADD
	Daryaft_date varchar(10) NULL
GO
COMMIT
GO

[GO_NO]=112
BEGIN TRANSACTION
ALTER TABLE dbo.Kh_Dastgah ADD
	A_Code nvarchar(15) NULL
GO
COMMIT
GO


[GO_NO]=113
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ALTER COLUMN
         C_Fax VARCHAR(20)  NULL
GO
COMMIT
GO


BEGIN TRANSACTION
ALTER TABLE dbo.PHONE_B ALTER COLUMN
         Fax NVARCHAR(20)  NULL
GO
COMMIT
GO

[GO_NO]=114
BEGIN TRANSACTION
ALTER TABLE dbo.FAC_BILD ADD
	UsedByUser varchar(30) NULL
GO
COMMIT
GO

[GO_NO]=115
BEGIN TRANSACTION
  Alter Table RqTitle Alter Column Comment nvarchar(500) NULL
GO
COMMIT
GO

[GO_NO]=116
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	EnterPriorDate_FewDay smallint NULL
GO
ALTER TABLE dbo.USERDB ADD CONSTRAINT
	DF_USERDB_EnterPriorDate_FewDay DEFAULT 0 FOR EnterPriorDate_FewDay
GO
COMMIT
GO
[GO_NO]=117
BEGIN TRANSACTION
Update Customer Set SelectType = 1 where Selecttype is Null
GO
COMMIT
GO
[GO_NO]=118
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	ChangeTahvil bit Not NULL DEFAULT 0 
GO
COMMIT
GO

[GO_NO]=119
BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TahvildarLog]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[TahvildarLog] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[User_Id] [int] NOT NULL ,
	[Log_Date] [datetime] NULL ,
	[User_Accept_Date] [datetime] NULL ,
	[C_Code] [varchar] (5) COLLATE Arabic_CI_AS NULL ,
	[C_Name] [varchar] (100) COLLATE Arabic_CI_AS NULL ,
	[Price] [float] NULL ,
	[Price_Type] [int] NULL ,
	[Sanad_Code] [int] NULL ,
	[Sanad_Code_C] [int] NULL ,
	[Sanad_Code_C2] [int] NULL ,
	[Sanad_Date] [datetime] NULL ,
	[Sanad_Comment] [nvarchar] (500) COLLATE Arabic_CI_AS NULL ,
	[Comment_Line] [nvarchar] (500) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
COMMIT
GO

[GO_NO]=120
BEGIN TRANSACTION
ALTER TABLE dbo.FACTURE ADD
	Fac_State smallint NULL
GO
ALTER TABLE dbo.FACTURE ADD CONSTRAINT
	DF_FACTURE_Fac_State DEFAULT 0 FOR Fac_State
GO
COMMIT
GO


[GO_NO]=121

BEGIN TRANSACTION
ALTER TABLE sanad ADD
	Actions TinyInt NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE snd_List ADD
	Actions TinyInt NULL
GO
COMMIT
GO


CREATE TABLE [dbo].[Sanad_Code_Pos] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[Sanad_Code] [int] NOT NULL ,
	[Sanad_Code_Pos] [bigint] NOT NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Sanad_Code_Pos] WITH NOCHECK ADD 
	CONSTRAINT [PK_Sanad_Code_Pos] PRIMARY KEY  CLUSTERED 
	(
		[Id]
	)  ON [PRIMARY] 
GO

[GO_NO]=122
BEGIN TRANSACTION
ALTER TABLE sanad ADD
	Actions TinyInt NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE snd_List ADD
	Actions TinyInt NULL
GO
COMMIT
GO


CREATE TABLE [dbo].[Sanad_Code_Pos] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[Sanad_Code] [int] NOT NULL ,
	[Sanad_Code_Pos] [bigint] NOT NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Sanad_Code_Pos] WITH NOCHECK ADD 
	CONSTRAINT [PK_Sanad_Code_Pos] PRIMARY KEY  CLUSTERED 
	(
		[Id]
	)  ON [PRIMARY] 
GO
COMMIT
GO

[GO_NO]=123
BEGIN TRANSACTION
Alter Table Customer
  Alter Column C_Address varchar(200) Null
GO
COMMIT
GO

[GO_NO]=124
BEGIN TRANSACTION
ALTER TABLE dbo.FAC_BILD ADD
	HSarfasl3 varchar(11) NULL
GO
COMMIT
GO

[GO_NO]=125
BEGIN TRANSACTION
ALTER TABLE dbo.Sanad_Code_Pos ADD
	Mode tinyint NOT NULL CONSTRAINT DF_Sanad_Code_Pos_Mode DEFAULT 1
GO
COMMIT
GO

CREATE TABLE [dbo].[SanadRes_Code_Pos] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[Fac_Code] [bigint] NOT NULL ,
	[Sanad_Code_Pos] [bigint] NOT NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[SanadRes_Code_Pos] WITH NOCHECK ADD 
	CONSTRAINT [PK_SanadRes_Code_Pos] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO
COMMIT
GO

[GO_NO]=126
BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
	Res_ArtTypeId int NULL
GO
COMMIT
GO

[GO_NO]=127
BEGIN TRANSACTION
exec sp_columns @table_name = 'RqTitle' , @column_name = 'Rqindex2'
if @@rowcount = 0 
begin
  EXECUTE sp_rename N'dbo.RQTITLE.RqIndex', N'RqIndex2', 'COLUMN'
  alter table Rqtitle Add RqIndex int NOT NULL IDENTITY (1,1)
  ALTER TABLE dbo.RQTITLE
  	DROP CONSTRAINT PK_RQTITLE
  ALTER TABLE dbo.RQTITLE ADD CONSTRAINT
	PK_RQTITLE PRIMARY KEY CLUSTERED(RqIndex)ON [PRIMARY]
  Alter table RQTITLE alter column RqIndex2 int null
  Alter Table RqDetail Add TmpFlag Bit
end
GO
exec sp_columns @table_name = 'RqDetail' , @column_name = 'TmpFlag'
if @@rowcount > 0 
begin
  declare @RqIndex int,@RqIndex2 int,@RqType Char(2)
  declare Curs Cursor for Select Rqindex,RqIndex2,RqType from RqTitle
  Open Curs
  Fetch next from Curs into @RqIndex,@RqIndex2,@RqType
  While @@Fetch_Status = 0 
  begin
    Update RqDetail Set RqIndex=@RqIndex,TmpFlag=1 where RqIndex=@RqIndex2 and RqType=@RqType and IsNull(TmpFlag,0)=0
    Fetch next from Curs into @RqIndex,@RqIndex2,@RqType
  end
  Close Curs  Deallocate Curs
  ALTER TABLE dbo.RQDETAIL DROP COLUMN TmpFlag
end
GO
COMMIT
GO

[GO_NO]=128
GO

[GO_NO]=129
BEGIN TRANSACTION
ALTER TABLE dbo.FACTURE ADD
	IsLevyAndScot bit NULL
GO
COMMIT
GO

[GO_NO]=130
BEGIN TRANSACTION
ALTER TABLE dbo.FACTART ADD
	Takhfif_kharid float(53) NULL
GO
COMMIT
GO

[GO_NO]=131
BEGIN TRANSACTION
ALTER TABLE dbo.BILDEND ADD
	H_Sarfasl1 varchar(11) NULL,
	H_Sarfasl2 varchar(11) NULL,
	H_Sarfasl3 varchar(11) NULL
GO
COMMIT
GO

[GO_NO]=132
BEGIN TRANSACTION
ALTER TABLE dbo.RQTITLE ADD
	Vaseteh_Code varchar(5) NULL
GO
COMMIT
GO

[GO_NO]=133
BEGIN TRANSACTION
CREATE TABLE [dbo].[Unit_group] (
	[ID] [int] IDENTITY (1, 1) NOT NULL ,
	[Kala_Id] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Unit_Id] [int] NULL 
) ON [PRIMARY]
GO
COMMIT
GO

[GO_NO]=134
BEGIN TRANSACTION
ALTER TABLE dbo.SANAD ADD
	MergeSanad_Code int NULL
GO
COMMIT
GO

[GO_NO]=135
BEGIN TRANSACTION
ALTER TABLE dbo.BILDAVAL ADD Row_Index int NOT NULL IDENTITY (1, 1)
GO
COMMIT
GO

[GO_NO]=136
BEGIN TRANSACTION
ALTER TABLE dbo.SANAD ADD
	MergeSanad_Date datetime NULL
GO
COMMIT
GO

[GO_NO]=137
BEGIN TRANSACTION
ALTER TABLE dbo.[Check] ADD
	MakeDisket bit NULL
GO
COMMIT
GO

[GO_NO]=138
BEGIN TRANSACTION
ALTER TABLE dbo.ACOUND_N ADD
	Bank_Code_C varchar(2) NULL
GO
COMMIT
Go


[GO_NO]=139
BEGIN TRANSACTION
  Alter Table [Check]
     Alter Column Check_Number varchar(15) Null
GO
COMMIT
GO


[GO_NO]=140
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	ShowNaghdiInfo bit NULL
GO
COMMIT
GO

[GO_NO]=141
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	DontPreviweinSPDSell bit NULL
GO
COMMIT
GO

[GO_NO]=142
BEGIN TRANSACTION
ALTER TABLE dbo.M_GROUP ADD
	MNegative_Sel bit NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.S_GROUP ADD
	SNegative_Sel bit NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.Article ADD
	ANegative_Sel bit NULL
GO
COMMIT
GO

[GO_NO]=143
BEGIN TRANSACTION
ALTER TABLE dbo.Spdpay_f ADD
	Pos float NULL,
	Bank_Code varchar(11) NULL
GO
COMMIT
GO

[GO_NO]=144
BEGIN TRANSACTION

Alter table [Check]
	Alter Column Check_Number varchar(20)
Alter table DAFTARCH
	Alter Column Check_Number varchar(20)
Alter table DastehCH 	Alter Column D_Start bigint 
Alter table DastehCH 	Alter Column D_End bigint 

GO
COMMIT
GO

[GO_NO]=145
BEGIN TRANSACTION
ALTER TABLE dbo.Unit_group ADD
	Sel_Price float(53) NULL
GO
COMMIT
GO

[GO_NO]=146
BEGIN TRANSACTION
ALTER TABLE dbo.Res_Facture ADD
	UserCodeFacEdit smallint NULL
GO
  Alter table userdb  add 
                     RepSoodSotuni bit not null default(0)
Go 	
COMMIT
GO

[GO_NO]=147
BEGIN TRANSACTION
ALTER TABLE dbo.AB_CATCH ADD
	DarsadTakhfif float NULL,
	TakhfifSatriR float NULL
GO
COMMIT
GO

[GO_NO]=148
BEGIN TRANSACTION
ALTER TABLE dbo.Set_TncRep ADD
	PWidth float NULL,
	PHeight float NULL
GO
COMMIT
GO

[GO_NO]=149
BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SaveResid]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SaveResid] (
	[Sanad_code] [bigint] NOT NULL ,
	[Price_All] [float] NULL ,
	[Fnaghd] [float] NULL ,
	[KartKhan] [float] NULL ,
	[Cus_code] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Cus_Name] [nvarchar] (500) COLLATE Arabic_CI_AS NULL ,
	[Cus_BedBes] [float] NULL ,
	[FacCode_Name2] [nvarchar] (500) COLLATE Arabic_CI_AS NULL ,
	[MHaz_Name] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
              [Edit] [Bit] Not NULL Default(0)
) ON [PRIMARY]
Go

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TAZMIN]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)

CREATE TABLE [dbo].[TAZMIN] (
	[Check_Code] [int] IDENTITY (1, 1) NOT NULL ,
	[C_Code] [varchar] (5) COLLATE Arabic_CI_AS NULL ,
	[Check_Number] [varchar] (10) COLLATE Arabic_CI_AS NULL ,
	[Bank_Code] [varchar] (2) COLLATE Arabic_CI_AS NULL ,
	[Account_Number] [varchar] (10) COLLATE Arabic_CI_AS NULL ,
	[Receive_Date] [datetime] NULL ,
	[Export_Date] [datetime] NULL ,
	[Cust] [float] NULL ,
	[Give_Get] [bit] NULL ,
	[Comment] [varchar] (60) COLLATE Arabic_CI_AS NULL ,
	[Amani_Bargashty] [bit] NULL ,
	[Return_Date] [datetime] NULL 
) ON [PRIMARY]


alter table TAZMIN add sanad_code int not null default(0)
alter table TAZMIN add sanad_code2 int not null default(0)
GO
COMMIT
GO
[GO_NO]=150
 BEGIN TRANSACTION
 Alter table sanad Add sanad_state smallint not null default(0) 
  Go
  COMMIT
  GO
 BEGIN TRANSACTION
  update sanad set sanad_state=0  where sanad_state is null 
  if (Select Count(*) from sanad Where sanad_state=1)=0
    update sanad set sanad_state=1  where sanad_code=1 or sanad_code=2    
GO
COMMIT
GO

[GO_NO]=151
BEGIN TRANSACTION
CREATE TABLE [dbo].[TaitleForm] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[Ip_Address] [varchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Information] [image] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
COMMIT
GO

[GO_NO]=152
BEGIN TRANSACTION
ALTER TABLE dbo.FACTART ADD
	IsCMS bit NULL
GO

ALTER TABLE dbo.FACTURE ADD
	IsCMS bit NULL
GO

ALTER TABLE dbo.SND_INDX ADD
	IsCMS bit NULL
GO

ALTER TABLE dbo.SND_LIST ADD
	IsCMS bit NULL
GO

ALTER TABLE dbo.SANAD ADD
	IsCMS bit NULL
GO
COMMIT
GO

[GO_NO]=153
BEGIN TRANSACTION
Alter Table factspd Add Fac_Date Datetime
Alter Table factspd Add Fac_Time Datetime
GO
COMMIT
GO

[GO_NO]=154
BEGIN TRANSACTION
CREATE TABLE dbo.DelFACTSPD
	(
	ID int NOT NULL,
	Fac_Code int NOT NULL,
	[Index] smallint NOT NULL,
	A_Code varchar(7) NULL,
	A_Name varchar(60) NULL,
	Few float(53) NULL,
	Price float(53) NULL,
	SellerCode int NULL,
	C_Code varchar(5) NULL,
	DeleteTime datetime NULL,
	UserCodeInc int NULL,
	UserDelCodeInc int NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.DelFACTSPD ADD CONSTRAINT
	PK_DelFACTSPD PRIMARY KEY CLUSTERED 
	(
	ID
	) ON [PRIMARY]

GO
COMMIT
GO

[GO_NO]=155
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	RepDelSpdFact bit NULL
GO
COMMIT
GO

CREATE TABLE [dbo].[ArtCodes] (
	[A_Code] [varchar] (7) COLLATE Arabic_CI_AS NOT NULL ,
	[A_Code_C] [varchar] (20) COLLATE Arabic_CI_AS NULL ,
	[Description] [nvarchar] (200) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
COMMIT
GO

[GO_NO]=156
BEGIN TRANSACTION
ALTER TABLE dbo.Res_Facture ADD
	F_Pos float(53) NULL,
	Pos_Code varchar(11) NULL
GO
COMMIT
GO

[GO_NO]=157
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER add 
     Res_cust bit Null default(0)
GO
COMMIT
GO

[GO_NO]=158
BEGIN TRANSACTION
ALTER TABLE dbo.Kh_Facture_Haz ADD
	Price_Pos float(53) NULL default(0)
GO
COMMIT
GO

[GO_NO]=159
BEGIN TRANSACTION
ALTER TABLE dbo.DelFACTSPD
	DROP CONSTRAINT PK_DelFACTSPD
GO
ALTER TABLE dbo.DelFACTSPD ADD 
       Counter bigint NOT NULL IDENTITY (1, 1)
GO
ALTER TABLE dbo.DelFACTSPD ADD CONSTRAINT
	PK_DelFACTSPD PRIMARY KEY CLUSTERED 
	(
	Counter,
	ID
	) ON [PRIMARY]

GO
COMMIT
GO



[GO_NO]=160
BEGIN TRANSACTION
if (Select count(*) From syscolumns C , sysindexes I Where I.id=object_id('[fAC_BILD]') And  c.Id=I.Id  And (I.status & 0x800) = 0x800
            And c.name=index_col ('[fAC_BILD]', i.indid,  3))=0
begin
  Exec (' ALTER Table FAC_BILD Drop CONSTRAINT [PK_FAC_BILD] ')
  Exec (' ALTER Table FAC_BILD Alter column Bild_Or_Tajzieh varchar(1) not null  ')
  Exec (' ALTER TABLE FAC_BILD WITH NOCHECK ADD 
              	CONSTRAINT [PK_FAC_BILD] PRIMARY KEY  CLUSTERED ( 
                      	[Fac_Code],[A_Code],[Bild_Or_Tajzieh])  ON [PRIMARY] ')
End
 if not exists (Select [Id] From sysColumns Where [Name] = 'Type_Hazineh' And 
                 [id]=( Select [id] From Sysobjects where [Name] = 'Fac_bild'  and [xtype] = 'U' ))
  Alter Table Fac_bild Add Type_Hazineh [tinyint] Not null default(0)


GO
COMMIT
GO


[GO_NO]=161
BEGIN TRANSACTION
Alter TAble Res_facture add Sum_Levy Float default(0)
Alter TAble Res_facture add Sum_Scot Float default(0)
Alter TAble Res_Fac_List add Levy Float default(0)
Alter TAble Res_Fac_List add Scot Float default(0)
GO
COMMIT
GO

[GO_NO]=162
BEGIN TRANSACTION
ALTER TABLE dbo.Res_Facture ADD CONSTRAINT
	DF_Res_Facture_F_Pos DEFAULT 0 FOR F_Pos
GO
ALTER TABLE dbo.Res_Facture ADD CONSTRAINT
	DF_Res_Facture_Pos_Code DEFAULT '' FOR Pos_Code
GO
COMMIT
GO

[GO_NO]=163
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	CoName nvarchar(100) NULL
Go
Alter Table sanad Add Transfer_Recive_Snd Bit not null default(0)
Alter Table sanad add Transfer_Send_Snd   Bit not null default(0)
Go
Alter Table Sanad Alter column Sanad_Code_C2 int
GO
COMMIT
GO

[GO_NO]=164
BEGIN TRANSACTION
ALTER TABLE CHK_AVAL 
      ALTER Column Check_Number Varchar(20) Null
GO
COMMIT
GO

[GO_NO]=165
BEGIN TRANSACTION
Alter Table saveResid Add Takhfif Float Null
GO
COMMIT
GO

[GO_NO]=166
BEGIN TRANSACTION
ALTER TABLE dbo.FACTURE ADD
	OldDAmoozesh float(53) NULL,
	OldDShahrdary float(53) NULL
GO
COMMIT
GO



[GO_NO]=167
BEGIN TRANSACTION
Alter Table Fac_ser Add  Bild_or_tajzieh char(1) default('')
Go
update fac_ser set bild_or_tajzieh='' where bild_or_tajzieh is null
Go
update fac_ser set bild_or_tajzieh='F' where bild_or_tajzieh='' And (Fac_Type='T' or Fac_Type='M')
GO
COMMIT
GO

[GO_NO]=168
BEGIN TRANSACTION
CREATE TABLE [dbo].[TitleForm] (
	[ID] [int] IDENTITY (1, 1) NOT NULL ,
	[Com_Name] [nvarchar] (100) COLLATE Arabic_CI_AS NULL ,
	[IP_Address] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Information] [image] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
COMMIT
GO

[GO_NO]=169
BEGIN TRANSACTION

Alter Table Userdb ALter Column PasWord varchar(80) NOT NULL

if Not Exists (SELECT * FROM    syscolumns WHERE     (name = 'Report_Filtered') AND (id =(SELECT Id FROM SysObjects WHERE [Name] = 'UserDB' AND XType = 'U')))
BEGIN  
ALTER TABLE dbo.USERDB ADD
   Report_Filtered bit NULL,City_Report int NULL 
End

GO
COMMIT
GO

[GO_NO]=170
BEGIN TRANSACTION
ALTER TABLE dbo.Res_Facture ADD
	Check_Tasvieh bit NOT NULL CONSTRAINT DF_Res_Facture_Check_Tasvieh DEFAULT 0
GO
COMMIT
Go

[GO_NO]=171
BEGIN TRANSACTION
ALTER TABLE dbo.FBAILPRE ADD
	tasvieh_date datetime NULL
GO
COMMIT
GO

[GO_NO]=172
BEGIN TRANSACTION
if exists (Select [Id] From sysColumns Where [Name] = 'System_Users' And [id]=( Select [id] From Sysobjects where [Name] = 'Sarfasl'   and [xtype] = 'U' )) 
Alter table Sarfasl Drop Column System_Users
Go
if Not exists (Select [Id] From sysColumns Where [Name] = 'AutoUse' And [id]=( Select [id] From Sysobjects where [Name] = 'Sarfasl'      and [xtype] = 'U' )) 
Alter table sarfasl Add AutoUse bit Not null default(0)
Go
Alter Table Fac_bild Add FacArtic_Comment text
GO
COMMIT
GO

[GO_NO]=173
BEGIN TRANSACTION
ALTER TABLE dbo.SARFASL ADD
	ID int NOT NULL IDENTITY (1, 1),
	Parent int NULL
GO
COMMIT
GO

[GO_NO]=174
BEGIN TRANSACTION
CREATE TABLE [dbo].[SarfaslAccess] (
	[ID] [int] IDENTITY (1, 1) NOT NULL ,
	[UserCode] [int] NULL ,
	[AccessInfo] [image] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
COMMIT
GO

[GO_NO]=175
BEGIN TRANSACTION
ALTER TABLE dbo.Res_Facture ADD CONSTRAINT
	DF_Res_Facture_F_Pos DEFAULT 0 FOR F_Pos
GO
ALTER TABLE dbo.Res_Facture ADD CONSTRAINT
	DF_Res_Facture_Pos_Code DEFAULT '' FOR Pos_Code
GO
COMMIT
GO


[GO_NO]=176
BEGIN TRANSACTION
Alter table Fac_ser    Add [Index] int not null default(0)
Alter table Ab_Catch  Add A_Index int not null default(0)
Alter table ART_BAIL  Add Fac_Code_Ser varchar(6) 
GO
COMMIT
GO

[GO_NO]=177
BEGIN TRANSACTION
ALTER TABLE dbo.TajzEnd ADD
	AutoSarshekanHaz bit NULL
GO
COMMIT
GO

[GO_NO]=178
BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kh_FAC_SER]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[Kh_FAC_SER] (
	[Fac_Code] [varchar] (6) COLLATE Arabic_CI_AS NOT NULL ,	
	[A_Code] [varchar] (7) COLLATE Arabic_CI_AS NOT NULL ,
	[A_Serial] [varchar] (25) COLLATE Arabic_CI_AS NOT NULL ,
	[A_Index] [int] NOT NULL   ,
 Primary key ( [Fac_Code],[A_Code],[A_Serial],[A_Index]))
Go
Alter Table Anb_ser Add  UseKhadamat Bit Not null default(0)
Go
COMMIT
GO

[GO_NO]=179
BEGIN TRANSACTION
Alter Table Acound_N
  Alter Column Bank_Code_C varchar(6) Null

GO
COMMIT
Go

[GO_NO]=180
BEGIN TRANSACTION
ALTER TABLE dbo.[Check] ADD
	SarFaslName_Daryaft nvarchar(60) NULL,
	SarFaslName_Kharj nvarchar(60) NULL
GO
COMMIT
Go

[GO_NO]=181
BEGIN TRANSACTION
ALTER TABLE dbo.RQDetail ADD
	Show_Or_Hide bit NULL
GO
COMMIT
GO

[GO_NO]=182
BEGIN TRANSACTION
ALTER TABLE dbo.RQDETAIL ADD
	Tedad float NULL,
	Ghotr float NULL,
	Metr float NULL,
	ToolArzType char(2) NULL
GO
COMMIT
GO

[GO_NO]=183
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	SarFasl_Amani_Dar varchar(7) NULL,
	SarFasl_Amani_Par varchar(7) NULL

ALTER TABLE dbo.MSETUP ADD
	Amani_Dar varchar(3) NULL,
	Amani_Par varchar(3) NULL
GO
COMMIT
Go




[GO_NO]=184
BEGIN TRANSACTION
  alter table Customer
  alter column C_Mobile varchar(20)
GO
COMMIT
GO

[GO_NO]=185
BEGIN TRANSACTION
ALTER TABLE dbo.FACTURE ADD
	Kind_Vat smallint NULL
GO
COMMIT
Go


[GO_NO]=186
BEGIN TRANSACTION
ALTER TABLE dbo.Unit_group ADD
	Sel_Price1 float NULL,
	Sel_Price2 float NULL,
	Sel_Price3 float NULL,
	Sel_Price4 float NULL,
	Sel_Price5 float NULL,
	Sel_Price6 float NULL,
	Sel_Price7 float NULL,
	Sel_Price8 float NULL,
	Sel_Price9 float NULL
GO
COMMIT
GO

[GO_NO]=187
BEGIN TRANSACTION
if Not Exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Cash]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
  CREATE TABLE [dbo].[Cash] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[Parent_Id] [int] NULL ,
	[S_Type] [bit] NULL ,
	[S_Name] [varchar] (60)  NULL ,
	[Sarfasl_Code] [varchar] (11)  NULL ,
	[Sarfasl_Code2] [varchar] (11) NULL ,
  Primary key([Id]))
Go
if Not Exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Check_Event]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
 CREATE TABLE [dbo].[Check_Event] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[Check_Code] [int] NOT NULL ,
	[Sanad_Code] [int] NOT NULL ,
              [Date_Time] [datetime] NULL ,
              [Cash_ID] [Int] Not NULL Default(0),
	[SarFasl_Code] [varchar] (11)  NOT NULL ,	              
	[State] [varchar] (50) Not NULL ,
        Primary key(Id)) 
Go

Alter Table ACOUND_N Add [Dar_Col_Code] [varchar] (3) Not NULL Default('') ,
	[Dar_Moien_Code] [varchar] (4)  Not NULL Default('') ,
	[Dar_Tafzili_Code] [varchar] (4) Not NULL Default('') ,
	[Par_Col_Code] [varchar] (3)  Not NULL Default('') ,
	[Par_Moien_Code] [varchar] (4)  Not NULL Default('') ,
	[Par_Tafzili_Code] [varchar] (4) Not NULL Default('') 
Go

 Alter Table [Check] Add Cash_Id int Not Null Default(0) 
 Alter Table [Check] Add SellCheck_BargashtToCash bit not null  default(0)
 Alter Table [Check] Add SanadCodeBargashtSellCheck int not null  default(0)
 Alter Table [Check] Add jaryanCheck_BargashtToCash bit not null  default(0)
 Alter Table [Check] Add SanadCodeBargashtjaryan int not null  default(0)
 Go

 Alter  table Chk_aval Add Cash_Id int not null default(0)
 Alter  table Chk_aval Add Cash_Name varchar(60) null 
Go
 Alter  table sarfasl alter column sarfasl_Name varchar(100)  
GO
Alter Table USERDB Add EditSarfasl Bit Not null Default(0)
Go
COMMIT
Go

[GO_NO]=188
BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[GroupAccess]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[GroupAccess] (
	[ID] [int] IDENTITY (1, 1) NOT NULL ,
	[UserCodeInc] [int] NOT NULL ,
	[MGroupCode] [nvarchar] (2) COLLATE Arabic_CI_AS NOT NULL ,
	[SGroupCode] [nvarchar] (2) COLLATE Arabic_CI_AS NOT NULL 
) ON [PRIMARY]
GO
COMMIT
Go

[GO_NO]=189
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	SarFasl_Amani_Dar varchar(7) NULL,
	SarFasl_Amani_Par varchar(7) NULL

ALTER TABLE dbo.MSETUP ADD
	Amani_Dar varchar(3) NULL,
	Amani_Par varchar(3) NULL
GO
COMMIT
Go

[GO_NO]=190
BEGIN TRANSACTION
ALTER TABLE dbo.RQDETAIL ADD
	Tedad float NULL,
	Ghotr float NULL,
	Metr float NULL,
	ToolArzType char(2) NULL
GO
COMMIT
GO

[GO_NO]=191
BEGIN TRANSACTION
CREATE TABLE [dbo].[ClientSetup] (
                   [ID] [int] IDENTITY (1, 1) NOT NULL ,
                   [IP_Address] [varchar] (50) COLLATE Arabic_CI_AS NULL ,
                   [Information] [image] NULL) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
ALTER TABLE dbo.ClientSetup ADD CONSTRAINT PK_ClientSetup PRIMARY KEY CLUSTERED(ID) ON [PRIMARY]
GO
COMMIT
GO


[GO_NO]=192
BEGIN TRANSACTION
ALTER TABLE dbo.TitleForm ADD 
                      VerFlag bit NOT NULL CONSTRAINT DF_TitleForm_VerFlag DEFAULT 0
GO
COMMIT
Go


[GO_NO]=193
BEGIN TRANSACTION
if Not exists (Select [Id] From sysColumns Where [Name] = 'Id' And 
                  [id]=( Select [id] From Sysobjects where [Name] = 'BILDEND' and [xtype] = 'U' ))
begin
  Exec('  ALTER TABLE BILDEND DROP CONSTRAINT PK_BILDEND   
            ALTER TABLE BILDEND ADD ID int Not null identity 
            ALTER TABLE BILDEND ADD FormulaName varchar(60) NUll')
  Exec(' ALTER  TABLE BILDEND ADD CONSTRAINT  PK_BILDEND PRIMARY KEY CLUSTERED  (Id,A_Code) ON [PRIMARY]')
  Exec(' UPDATE BILDEND      Set FormulaName='' 1''
           ALTER TABLE bildAval ADD FormulaID Int Not null default(0)')
  Exec(' UPDATE bildAval Set FormulaID=(Select Id from BildEnd where A_code=bildAval.End_ACode)') 
  Exec(' ALTER  TABLE bildAval DROP CONSTRAINT PK_BILDAval 
           ALTER  TABLE bildAval Drop Column End_ACode       
           ALTER  TABLE BILDAVAL ADD CONSTRAINT PK_BILDAVAL PRIMARY KEY CLUSTERED  (A_Code,FormulaID) ON [PRIMARY]')            
end
GO
COMMIT
Go

[GO_NO]=194
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	RepDelSpdFact bit NULL
GO
COMMIT
GO

[GO_NO]=195
BEGIN TRANSACTION
ALTER TABLE dbo.Unit_group ADD
	Sel_Price1 float NULL,
	Sel_Price2 float NULL,
	Sel_Price3 float NULL,
	Sel_Price4 float NULL,
	Sel_Price5 float NULL,
	Sel_Price6 float NULL,
	Sel_Price7 float NULL,
	Sel_Price8 float NULL,
	Sel_Price9 float NULL
GO
COMMIT
GO

[Go_No]=196
BEGIN TRANSACTION
ALTER TABLE dbo.Hrd_Facture ADD
	Price_Pos float(53) NULL
GO
COMMIT
GO

[GO_NO]=197
BEGIN TRANSACTION
CREATE TABLE dbo.Check_Bkup
	(
	Sanad_Code int NOT NULL,
	Check_Number varchar(20) NULL,
	Cust float NULL,
	Account_Number varchar(18) NULL,
	Bank_Name varchar(30) NULL,
	Back_Number int NULL,
	Receive_Date datetime NULL
	)  ON [PRIMARY]
GO
COMMIT
GO
[GO_NO]=198
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	ResOuterFact bit NOT NULL CONSTRAINT DF_USERDB_ResOuterFact DEFAULT 1,
	ResPresentFact bit NOT NULL CONSTRAINT DF_USERDB_ResPresentFact DEFAULT 1
GO
COMMIT
GO

[GO_NO]=199
BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
	Res_ArtTypeId int NULL
Go
ALTER TABLE dbo.CUSTOMER add 
     Res_cust bit Null default(0)
GO
COMMIT
GO



 
[GO_NO]=200
BEGIN TRANSACTION
 ALTER TABLE dbo.SND_LIST ADD
	OldSCode int   not NULL  default(0)
Go
COMMIT
GO
BEGIN TRANSACTION
  update snd_List set OldScode=0   Where OldSCode Is Null
GO
COMMIT
GO

[GO_NO]=201
BEGIN TRANSACTION
ALTER TABLE dbo.ACOUND_N ADD
	Pos_Port int NOT NULL CONSTRAINT DF_ACOUND_N_Pos_Port DEFAULT 8002
GO
  if Not Exists (select * from syscolumns where  name ='backupdate' and id =(select id from sysobjects where name ='MSETUP'))
       ALTER TABLE MSETUP ADD BackUpDate datetime NOT NULL Default getdate()
  
GO
COMMIT
GO


[GO_NO]=202
BEGIN TRANSACTION
ALTER TABLE dbo.RQDetail ADD
	Show_Or_Hide bit NULL
GO
COMMIT
GO


BEGIN TRANSACTION
ALTER TABLE dbo.RQDETAIL ADD
	Tedad float NULL,
	Ghotr float NULL,
	Metr float NULL,
	ToolArzType char(2) NULL
GO
COMMIT
GO


BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	SarFasl_Amani_Dar varchar(7) NULL,
	SarFasl_Amani_Par varchar(7) NULL

ALTER TABLE dbo.MSETUP ADD
	Amani_Dar varchar(3) NULL,
	Amani_Par varchar(3) NULL
GO
COMMIT
Go

[GO_NO]=203
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	ChangeTahvil bit Not NULL DEFAULT 0 
GO
COMMIT
GO

[GO_NO]=204
BEGIN TRANSACTION
if not exists (Select [Id] From sysColumns Where [Name] = 'ShowNaghdiInfo' And [id]=( Select [id] From Sysobjects where [Name] = 'USERDB'  and [xtype] = 'U' ))

	ALTER TABLE dbo.USERDB ADD
		ShowNaghdiInfo bit NULL
GO
COMMIT
GO

BEGIN TRANSACTION
if not exists (Select [Id] From sysColumns Where [Name] = 'DontPreviweinSPDSell' And [id]=( Select [id] From Sysobjects where [Name] = 'USERDB'  and [xtype] = 'U' ))

	ALTER TABLE dbo.USERDB ADD
		DontPreviweinSPDSell bit NULL
GO
COMMIT
GO

BEGIN TRANSACTION
if not exists (Select [Id] From sysColumns Where [Name] = 'RepSoodSotuni' And [id]=( Select [id] From Sysobjects where [Name] = 'USERDB'  and [xtype] = 'U' ))

	Alter table userdb  add 
                 RepSoodSotuni bit not null default(0)
GO
COMMIT
GO

[GO_NO]=205
BEGIN TRANSACTION
if Not exists (Select [Id] From sysColumns Where [Name] = 'Id' And 
                  [id]=( Select [id] From Sysobjects where [Name] = 'BILDEND' and [xtype] = 'U' ))
begin
  Exec('  ALTER TABLE BILDEND DROP CONSTRAINT PK_BILDEND   
            ALTER TABLE BILDEND ADD ID int Not null identity 
            ALTER TABLE BILDEND ADD FormulaName varchar(60) NUll')
  Exec(' ALTER  TABLE BILDEND ADD CONSTRAINT  PK_BILDEND PRIMARY KEY CLUSTERED  (Id,A_Code) ON [PRIMARY]')
  Exec(' UPDATE BILDEND      Set FormulaName='' 1''')
  Exec('         ALTER TABLE bildAval ADD FormulaID Int Not null default(0)')
  Exec(' Delete bildAval Where End_Acode not in (Select A_code from BILDEND)') 
  Exec(' UPDATE bildAval Set FormulaID=(Select Id from BildEnd where A_code=bildAval.End_ACode)') 
  Exec(' ALTER  TABLE bildAval DROP CONSTRAINT PK_BILDAval 
           ALTER  TABLE bildAval Drop Column End_ACode       
           ALTER  TABLE BILDAVAL ADD CONSTRAINT PK_BILDAVAL PRIMARY KEY CLUSTERED  (A_Code,FormulaID) ON [PRIMARY]')            
end
GO
COMMIT
Go

BEGIN TRANSACTION
if (Select count(*) From syscolumns C , sysindexes I Where I.id=object_id('[fAC_BILD]') And  c.Id=I.Id  And (I.status & 0x800) = 0x800
            And c.name=index_col ('[fAC_BILD]', i.indid,  3))=0
begin
 Exec ('if Exists (Select * From sysindexes Where [Name] = ''PK_FAC_BILD'') 
         ALTER Table FAC_BILD Drop CONSTRAINT [PK_FAC_BILD] ')
  Exec (' ALTER Table FAC_BILD Alter column Bild_Or_Tajzieh varchar(1) not null  ')
  Exec (' ALTER TABLE FAC_BILD WITH NOCHECK ADD 
              	CONSTRAINT [PK_FAC_BILD] PRIMARY KEY  CLUSTERED ( 
                      	[Fac_Code],[A_Code],[Bild_Or_Tajzieh])  ON [PRIMARY] ')
End
 if not exists (Select [Id] From sysColumns Where [Name] = 'Type_Hazineh' And 
                 [id]=( Select [id] From Sysobjects where [Name] = 'Fac_bild'  and [xtype] = 'U' ))
  Alter Table Fac_bild Add Type_Hazineh [tinyint] Not null default(0)

GO
COMMIT
GO

[GO_NO]=206
BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
	Creation_Date Datetime,
	Endeditdate    Datetime
GO
   ALTER TABLE dbo.ARTICLE Alter Column Attribute  nvarchar(4000)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.Unit ADD
	Creation_Date Datetime,
	Endeditdate    Datetime
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.sanad ADD
	Endeditdate    Datetime
GO
COMMIT
GO


BEGIN TRANSACTION
ALTER TABLE dbo.facture ADD
	Creation_Date Datetime
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.m_group ADD
	Creation_Date Datetime,
	Endeditdate    Datetime,
        comment       varchar(4000)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.s_group ADD
	Creation_Date  Datetime,
	Endeditdate     Datetime,
        comment        varchar(4000)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.customer ADD
	Creation_Date  Datetime,
	Endeditdate     Datetime,
              Email_Address varchar(4000)
GO
COMMIT
GO


[GO_NO]=207
BEGIN TRANSACTION
  Alter Table Snd_List 
      Add F_Update Bit

GO
COMMIT
Go

[GO_NO]=208
BEGIN TRANSACTION
  Alter Table UserDb  Add 
                     AlowChenghService Bit Not Null Default(0)
GO
COMMIT
Go
BEGIN TRANSACTION
Alter Table PriceS_Detail Add Rowid int NOT NULL IDENTITY (1, 1)

GO
COMMIT
Go

[GO_NO]=209
BEGIN TRANSACTION
ALTER TABLE dbo.[Check] ADD
	ChSerial  nchar(10) NULL,
	BranchCode int NULL,
	PuCode nchar(15) NULL
GO
COMMIT
GO

[GO_NO]=210
BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
	PLUNo int NOT NULL DEFAULT (0)
GO
COMMIT
GO

[GO_NO]=211
BEGIN TRANSACTION
  if not exists (Select [Id] From sysColumns Where [Name] = 'Sanad_code' And [id]=( Select [id] From Sysobjects where [Name] = 'art_bail'  and [xtype] = 'U' )) 
    Alter table art_bail Add Sanad_code Int null
GO
COMMIT
GO



[GO_NO]=212
BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Barname_Title]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[Barname_Title] (
	[id] [bigint] IDENTITY (1, 1) NOT NULL ,
	[Title] [varchar] (30) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO
COMMIT
GO


BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Barname_detail]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[Barname_detail] (
	[master_id] [bigint] NULL ,
	[detail_id] [bigint] IDENTITY (1, 1) NOT NULL ,
	[a_index] [smallint] NULL ,
	[a_code] [varchar] (7) COLLATE Arabic_CI_AS NULL ,
	[a_count] [float] NULL ,
	[Price] [float] NULL 
) ON [PRIMARY]
GO
COMMIT
GO


BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Barname_master] ') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[Barname_master] (
                   [id] [bigint] IDENTITY (1, 1) NOT NULL ,
	[fac_code] [varchar] (6) COLLATE Arabic_CI_AS NULL ,
	[barname_code] [varchar] (10) COLLATE Arabic_CI_AS NULL ,
	[barname_name] [varchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Bar_date] [datetime] NULL ,
	[Bar_time] [datetime] NULL 
) ON [PRIMARY]
GO
COMMIT
GO

[GO_NO]=213
BEGIN TRANSACTION
ALTER TABLE dbo.Res_MenuArt alter column
	MinA_Name varchar(50) 

GO
COMMIT
GO


[GO_NO]=214
BEGIN TRANSACTION
ALTER TABLE dbo.FACTART ADD
	ACode_C varchar(20) NULL
GO
ALTER TABLE dbo.ABailPre ADD
	ACode_C varchar(20) NULL
GO
ALTER TABLE dbo.AB_Catch ADD
	ACode_C varchar(20) NULL
GO
ALTER TABLE dbo.Art_Bail ADD
	ACode_C varchar(20) NULL
GO
ALTER TABLE dbo.Fac_Bild ADD
	ACode_C varchar(20) NULL
GO
ALTER TABLE dbo.BildAval ADD
	ACode_C varchar(20) NULL
GO
ALTER TABLE dbo.FactSpd ADD
	ACode_C varchar(20) NULL

GO
COMMIT
GO

[GO_NO]=215
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	ChangeDateCheck bit not null default(1)
GO
COMMIT
GO


[GO_NO]=216
BEGIN TRANSACTION
ALTER TABLE dbo.Facture ADD
	Naghd_Moddat bit default (0)
GO
COMMIT
GO

[GO_NO]=217
BEGIN TRANSACTION
ALTER TABLE dbo.Fbailpre ADD
	Naghd_Moddat bit default (0)
GO
COMMIT
GO


[GO_NO]=218
BEGIN TRANSACTION

  ALTER TABLE dbo.Res_Facture ADD  RemoteIp nvarchar(20) NULL, PPCFCode smallint NULL, RemoteHost nvarchar(20) NULL
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Res_LogRequest]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Res_LogRequest]
GO

CREATE TABLE [dbo].[Res_LogRequest] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[RemoteIp] [nvarchar] (20)  NULL ,
	[RemoteHost] [nvarchar] (20)  NULL ,
	[RemotePort] [smallint] NULL ,
	[Message] [varchar] (8000)  NULL ,
	[NoMsg] [smallint] NULL ,
	[StateMsg] [smallint] NULL ,
	[DateTime] [datetime] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Res_LogRequest] WITH NOCHECK ADD 
	CONSTRAINT [PK_Res_LogReqest] PRIMARY KEY  CLUSTERED 
	(
		[Id]
	)  ON [PRIMARY] 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Res_LogRespond]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Res_LogRespond]
GO

CREATE TABLE [dbo].[Res_LogRespond] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[RemoteIp] [nvarchar] (20)  NULL ,
	[RemoteHost] [nvarchar] (20)  NULL ,
	[RemotePort] [smallint] NULL ,
	[Message] image  NULL ,
	[NoMsg] [smallint] NULL ,
	[StateMsg] [smallint] NULL ,
	[DateTime] [datetime] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Res_LogRespond] WITH NOCHECK ADD 
	CONSTRAINT [PK_Res_LogRespond] PRIMARY KEY  CLUSTERED 
	(
		[Id]
	)  ON [PRIMARY] 
GO
COMMIT
GO


[GO_NO]=219
BEGIN TRANSACTION
ALTER TABLE dbo.[Check] ADD CONSTRAINT
	DF_Check_Back_Number DEFAULT 0 FOR Back_Number
GO
COMMIT
Go

[GO_NO]=220
BEGIN TRANSACTION
ALTER TABLE dbo.CHK_AVAL ADD
	BranchCode char(5) Null
GO
COMMIT
GO

[GO_NO]=221
BEGIN TRANSACTION
Alter Table Res_Facture
  Add  [Fac_Type] [varchar] (1) Not Null Default('R')
GO
COMMIT
GO
BEGIN TRANSACTION
  if (Select Count(*) from Res_Facture Where Fac_Type Is Null)>0 
    update Res_Facture set Fac_Type='R' where Fac_Type Is Null
GO
COMMIT
GO

BEGIN TRANSACTION
Alter Table Res_MenuCategory
  Add  [Fac_Type] [varchar] (1) Not Null Default('R')
GO
COMMIT
GO
BEGIN TRANSACTION
  if (Select Count(*) from Res_MenuCategory Where Fac_Type Is Null)>0 
    update Res_MenuCategory set Fac_Type='R' where Fac_Type Is Null
GO
COMMIT
GO

BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[NspdSel_Tasvieh]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[NspdSel_Tasvieh] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[C_Code] [varchar] (5) COLLATE Arabic_CI_AS NOT NULL ,
	[User_Code] [int] NOT NULL ,
	[P_Date] [datetime] NOT NULL ,
	[P_Time] [datetime] NOT NULL ,
	[Price] [float] NULL 
) ON [PRIMARY]
GO
COMMIT
GO

BEGIN TRANSACTION
Alter Table Res_Facture
  Add  CheckPrint Bit NOT NULL DEFAULT 0 
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	NspdNesiehFact bit NOT NULL Default(1),
              Nspd_SpdFact bit NOT NULL Default(1) 
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.Res_Peik 
	Add  [Fac_Type] [varchar] (1) Not Null Default('R')
GO
COMMIT
GO
BEGIN TRANSACTION
  if (Select Count(*) from Res_Peik Where Fac_Type Is Null)>0 
    update Res_MenuCategory set Fac_Type='R' where Fac_Type Is Null
GO
COMMIT
GO



[GO_NO]=222
BEGIN TRANSACTION
ALTER TABLE dbo.Barname_master ADD
	Comment  nvarchar(500) NULL
GO
COMMIT
GO

[GO_NO]=223
BEGIN TRANSACTION
ALTER TABLE CUSTOMER 
        ADD Birth_Date varchar(10) NULL ,
            C_Code_C2 nvarchar(12) NULL,
            Car_Id int NULL
GO

if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Cars] ') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[Cars] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[CarName] [nvarchar] (50) COLLATE Arabic_CI_AS NULL ,
	[Price_Select] [smallint] NULL,
  Primary key([Id]) ) 
GO


if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Art_Sel_Comment] ') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[Art_Sel_Comment] (
	[A_Code] [nvarchar] (7)    NOT  NULL ,
	[Sel_Comm1] [nvarchar] (200)   NULL ,
	[Sel_Comm2] [nvarchar] (200)   NULL ,
	[Sel_Comm3] [nvarchar] (200)   NULL ,
	[Sel_Comm4] [nvarchar] (200)   NULL ,
	[Sel_Comm5] [nvarchar] (200)   NULL ,
	[Sel_Comm6] [nvarchar] (200)   NULL ,
	[Sel_Comm7] [nvarchar] (200)   NULL ,
	[Sel_Comm8] [nvarchar] (200)   NULL ,
	[Sel_Comm9] [nvarchar] (200)   NULL ,
	[Sel_Comm10] [nvarchar] (200) NULL 
             Primary key([A_Code] )  )
GO


if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EntezarM] ') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[EntezarM] (
	[C_Code] [varchar] (5) COLLATE Arabic_CI_AS NOT NULL ,
	[TimeIn] [datetime] NOT NULL ,
              [DateIn]  [datetime] NOT NULL
     Primary key([C_Code] ))
GO

COMMIT
GO


[GO_NO]=224
BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Res_DailyRep]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[Res_DailyRep] (
	[User_Code] [int] NOT NULL  ,
	[User_Date] [datetime] NOT NULL,
	[Fac_Type] [varchar] (1)  NOT NULL ,
	[Sum_Price] [float] NOT NULL DEFAULT (0),
	[Sum_Naghd] [float] NOT NULL DEFAULT (0),
	[Sum_Nesieh] [float] NOT NULL DEFAULT (0),
	[Sum_Pos] [float] NOT NULL DEFAULT (0),
	[Sum_Takhfif] [float] NOT NULL DEFAULT (0),
	[Sum_Hazineh] [float] NOT NULL DEFAULT (0),
	[Sum_LevyScot] [float] NOT NULL DEFAULT (0)
) ON [PRIMARY]
GO
COMMIT
GO


[GO_NO]=225
BEGIN TRANSACTION
  Alter table Article Add ReqRadifForAhan bit Not null Default(1) 
  Go 
  Update Article Set ReqRadifForAhan=1 Where ReqRadifForAhan is null

GO
COMMIT
GO


[GO_NO]=226
BEGIN TRANSACTION
ALTER TABLE [check] ADD
	Transfered bit NULL
GO
COMMIT
GO

[GO_NO]=227
BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
	Check_Resting bit NOT NULL  DEFAULT 0
GO
COMMIT
Go

[GO_NO]=228
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	CityCodeLevy varchar(10) NULL,
	OstanCodeLevy varchar(5) NULL,
	HkharidarType1code smallint NULL
GO
COMMIT
GO


[GO_NO]=229
if NOT exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tb_menu]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[tb_menu] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[NAME] [varchar] (50) COLLATE Arabic_CI_AS NULL ,
	[ReadOnly] [bit] NULL ,
	[Code] [int] NULL ,
	[Caption] [varchar] (50) COLLATE Arabic_CI_AS NULL ,
	[ParentCode] [int] NULL 
) ON [PRIMARY]
GO
BEGIN TRANSACTION
ALTER TABLE dbo.Surttitl ADD
	idx int NULL
GO
COMMIT
GO
BEGIN TRANSACTION
ALTER TABLE dbo.Surttitl ALTER COLUMN
	PELAK NVARCHAR(40)
GO
COMMIT
GO

[GO_NO]=230
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SarfaslType]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)

CREATE TABLE [dbo].[SarfaslType] (
	[id] [int] NOT NULL primary key,
	[TypeName] [varchar] (60) COLLATE Arabic_CI_AS NULL ,
	[DefaultSarfasl] [varchar] (11) COLLATE Arabic_CI_AS NULL ,
	[Note] [varchar] (1024) COLLATE Arabic_CI_AS NULL 
) ON [PRIMARY]
GO

BEGIN TRANSACTION
ALTER TABLE dbo.SARFASL ADD
Type int NULL,
SParent int NULL 
ALTER TABLE dbo.SARFASL ADD CONSTRAINT  
DF_SARFASL_Type DEFAULT 0 FOR Type 
ALTER TABLE dbo.SARFASL ADD CONSTRAINT
DF_SARFASL_SParent DEFAULT 0 FOR SParent
GO
Commit
GO

Begin TRANSACTION
CREATE TABLE dbo.ArticleSarfasl
	(
	ID int NOT NULL IDENTITY (1, 1),
	ArtID varchar(7) NOT NULL,
	Main varchar(11) NULL,
	RetBuy varchar(11) NULL,
	Sell varchar(11) NULL,
	RetSell varchar(11) NULL,
	OffPrice varchar(11) NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.ArticleSarfasl ADD CONSTRAINT
	PK_ArticleSarfasl PRIMARY KEY CLUSTERED 
	(
	ArtID
	) ON [PRIMARY]

GO
COMMIT
GO
Begin TRANSACTION
CREATE TABLE dbo.GroupSarfasl
	(
	ID int NOT NULL IDENTITY (1, 1),
	GroupID varchar(4) NOT NULL,
	Main varchar(11) NULL,
	RetBuy varchar(11) NULL,
	Sell varchar(11) NULL,
	RetSell varchar(11) NULL,
	OffPrice varchar(11) NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.GroupSarfasl ADD CONSTRAINT
	PK_GroupSarfasl PRIMARY KEY CLUSTERED 
	(
	GroupID
	) ON [PRIMARY]

GO

CREATE TABLE [dbo].[CustomerSarfasl] (
	id bigint IDENTITY (1, 1) NOT NULL ,
	CustCode varchar(5)  NOT NULL ,
	SarBed varchar(11) NULL ,
	SarBes varchar(11) NULL ,
	SarAmaniDar varchar(11) NULL ,
	SarAmaniPar varchar (11) NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[CustomerSarfasl] ADD 
	CONSTRAINT [PK_CustomerSarfasl] PRIMARY KEY  CLUSTERED 
	(
		[CustCode]
	)  ON [PRIMARY] 
GO
COMMIT
GO



[GO_NO]=231
BEGIN TRANSACTION
ALTER TABLE dbo.article alter column
	place varchar(50) 
ALTER TABLE dbo.article alter column
	model varchar(50) 
ALTER TABLE dbo.article alter column
	a_country varchar(50) 
GO
COMMIT
GO



[GO_NO]=232
  Begin TRANSACTION
      ALTER TABLE dbo.MONEY
	DROP CONSTRAINT PK_MONEY
     Go
     ALTER TABLE dbo.MONEY
	DROP COLUMN M_Code
     Go
     ALTER TABLE dbo.MONEY ADD
	M_Code int NOT NULL IDENTITY (1, 1)			
   Go
   ALTER TABLE dbo.MONEY ADD CONSTRAINT
	PK_MONEY PRIMARY KEY CLUSTERED 
	(
	M_Code
	)  ON [PRIMARY]
  GO
  COMMIT 
  GO

  Begin TRANSACTION
    Alter  Table Money    Add BaseArz Bit Not NULL Default(0)
    GO
    Update Money Set BaseArz=1 where M_Code=1
  GO
  COMMIT 
  GO


   Begin TRANSACTION     
     Alter  Table Snd_LIst Add Bed_Arz Float not null default(0)
     Alter  Table Snd_LIst Add Bes_Arz Float not null default(0) 
   GO
   COMMIT 
   GO  

   Begin TRANSACTION
     Alter Table res_facture Add Money_Code  Int   Not Null Default(1)  
     Alter Table res_facture Add Money_Price Float Not Null Default(1) 
   GO
   COMMIT 
   GO
 
   Begin TRANSACTION
     Alter Table Res_facture Add DarsadTakhfif float not null default(0) 
     Alter Table Res_facture Add DarsadService float not null default(0) 
   GO
   COMMIT 
   GO 
  
   Begin TRANSACTION
      Alter Table Kh_Facture Add Money_Code  Int   Not Null Default(1)  
      Alter Table Kh_Facture Add Money_Price Float Not Null Default(1)
   GO
   COMMIT 
   GO
 
   Begin TRANSACTION
     Alter Table hrd_facture Add Money_Code  Int   Not Null Default(1)  
     Alter Table hrd_facture Add Money_Price Float Not Null Default(1)
  GO
  COMMIT 
  GO

[GO_NO]=233
 Begin TRANSACTION
Alter Table TAZMIN 
 Alter Column  Check_Number varchar(20)
Alter Table TAZMIN 
 Alter Column  Account_Number varchar(20) 
GO
COMMIT
GO

BEGIN TRANSACTION
Alter Table NEWBANK
Alter Column Bank_Name varchar(100) NULL
GO
COMMIT
Go

BEGIN TRANSACTION
ALTER TABLE [DastehCh] ADD
	[UsedNumbers] [varchar] (5000) Null
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FACTURE ADD
	Res_ServicePrice [Float]  NULL,
	Res_HazPrice      [Float]  NULL
GO
COMMIT
Go

BEGIN TRANSACTION
ALTER TABLE dbo.[Check] ADD
	SarFasl_Code varchar(11) NULL
GO
COMMIT
GO
[GO_NO]=234
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER 
	Alter Column Counective_Tel varchar(20) NULL
GO
COMMIT
GO


[GO_NO]=235
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD SuperUser BIT Not null DEFAULT (0) 
Go
COMMIT
Go


[GO_NO]=236
BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
	DarsadForush2 float  Not NULL Default(0),
	DarsadForush3 float  Not NULL Default(0),
	DarsadForush4 float  Not NULL Default(0),
	DarsadForush5 float  Not NULL Default(0),
	DarsadForush6 float  Not NULL Default(0),
	DarsadForush7 float  Not NULL Default(0),
	DarsadForush8 float  Not NULL Default(0),
	DarsadForush9 float  Not NULL Default(0),
	DarsadForush10 float Not NULL Default(0)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.AB_CATCH ADD
	VasetehCode varchar(5) NULL,
	VasetehPrice float  Not NULL Default(0)
GO
COMMIT
GO


[GO_NO]=237
BEGIN TRANSACTION
ALTER TABLE dbo.Kh_Facture_Haz ADD
	Price_Nesieh float  Not NULL Default(0)
GO
COMMIT
GO
[GO_NO]=238
BEGIN TRANSACTION
ALTER TABLE dbo.SanadHelp ADD
	 Type int NULL
GO
COMMIT
GO

[GO_NO]=239
BEGIN TRANSACTION
if (Select count(*) from syscolumns where [id]=(Select [id] from Sysobjects where [name]= 'AnbaGard' And Xtype = 'U') and name='id')=0
       Alter Table AnbaGard add Id Int Not Null identity(1,1)
GO
 Exec ('if Exists (Select * From sysindexes Where [Name] = ''PK_ANBAGARD'') 
         ALTER Table ANBAGARD Drop CONSTRAINT [PK_ANBAGARD] ')
Go
 Exec ('if NOT Exists (Select * From sysindexes Where [Name] = ''PK_ANBAGARD'') 
         ALTER TABLE ANBAGARD WITH NOCHECK ADD 
              	CONSTRAINT [PK_ANBAGARD] PRIMARY KEY  
               CLUSTERED ([ID])  ON [PRIMARY] ')
GO
COMMIT
GO


[GO_NO]=240
BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER  add 
     Driver bit Null default(0),
     PelakCity  Varchar(50),
     Pelakcitycode Int  ,
     Pelakcode2 Int  ,
     Pelakcode3 Int  ,
     PelakChar varchar(3) 
GO
COMMIT
GO





[GO_NO]=241

BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
	A_Code_C2 varchar(18) NULL,
	A_Code_C3 varchar(18) NULL,
	A_Code_C4 varchar(18) NULL,
	A_Code_C5 varchar(18) NULL,
	A_Code_C6 varchar(18) NULL,
	A_Code_C7 varchar(18) NULL,
	A_Code_C8 varchar(18) NULL,
	A_Code_C9 varchar(18) NULL,
	A_Code_C10 varchar(18) NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE ANBAGARD ADD acode_c VARCHAR(20)
GO
COMMIT
GO

BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TDeclaration]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[TDeclaration] (
	[Master_Id] [bigint] NOT NULL ,
	[id] [bigint] IDENTITY (1, 1) NOT NULL ,
	[DDate] [datetime] NULL ,
	[EzharDate] [datetime] NULL ,
	[NumEzhar] [float] NULL ,
	Comment_line varchar(200)                    
) ON [PRIMARY]
GO
COMMIT
GO

BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TaxForAdvantage]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[TaxForAdvantage] (
	[id] [bigint] IDENTITY (1, 1) NOT NULL ,
	[TYear] [int] NULL ,
	[Season] [smallint] NULL ,
	[TaxDate] [datetime] NULL ,
	[ForDate] [datetime] NULL ,
	[UntilDate] [datetime] NULL ,
	[NumOfTaxTerm] [bigint] NULL ,
	[SumTaxPish] [float] NULL ,
	[SumDutypish] [float] NULL ,
	[RemainPish] [float] NULL ,
	[SumTaxDar] [float] NULL ,
	[SumDutyDar] [float] NULL ,
	[RemainDar] [float] NULL ,
	[Dar_Par] [bit] NULL ,
	[FinalSum] [float] NULL ,
	[TahatorFalg] [bit] NULL ,
	[TasviyeFlag] [bit] NULL ,
	[EzharFlag] [bit] NULL ,
	[Sanad_Code_Tahator] [bigint] NULL ,
	[Sanad_Code_Tasviye] [bigint] NULL ,
	[Sanad_Code_Ezhar] [bigint] NULL ,
	[SndDate_Tahator] [datetime] NULL ,
	[SndDate_Tasviye] [datetime] NULL ,
	[SellM] [float] NULL ,
	[SellA] [float] NULL ,
	[RetSellM] [float] NULL ,
	[RetSellA] [float] NULL ,
	[BuyM] [float] NULL ,
	[BuyA] [float] NULL ,
	[RetBuyM] [float] NULL ,
	[RetBuyA] [float] NULL, 
	[SellMsarfasl] [varchar] (11) Null,
	[SellAsarfasl] [varchar] (11) NULL ,
	[RetSellMsarfasl] [varchar] (11) NULL ,
	[RetSellAsarfasl] [varchar] (11) NULL ,
	[BuyMsarfasl] [varchar] (11) NULL ,
	[BuyAsarfasl] [varchar] (11) NULL ,
	[RetBuyMsarfasl] [varchar] (11) NULL ,
	[RetBuyAsarfasl] [varchar] (11) NULL 
) ON [PRIMARY]
GO
COMMIT
GO


[GO_NO]=242
BEGIN TRANSACTION
ALTER TABLE [DastehCh] 
	ALTER COLUMN [UsedNumbers] [varchar] (8000) Null
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	CtrlK bit not null default(1)
GO
COMMIT
GO
BEGIN TRANSACTION
Alter Table saveResid Add Account_N  varchar(18)
GO
COMMIT
GO


[GO_NO]=243
BEGIN TRANSACTION
if  Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AcoundCashArz]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[AcoundCashArz](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[CashId] [int] NOT NULL Default(0),
	[BankSarfasl] Nvarchar(11) NOT NULL Default(''),	
	[ArzId] [int] NOT NULL
) ON [PRIMARY]

GO
COMMIT
GO

BEGIN TRANSACTION
if  Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ArzEqual]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[ArzEqual](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[FirstArzID] [int] NOT NULL,
	[LastArzID] [int] NOT NULL,
	[Price] [float] NULL
) ON [PRIMARY]
GO
COMMIT
GO

BEGIN TRANSACTION
Alter table Snd_List Add ArzId       Int   Not Null default(1)
Alter table Snd_List Add Money_Price float Not Null default(1)
Alter table Snd_List Add Money_change float Not Null default(1)
GO
COMMIT
GO

[GO_NO]=244
BEGIN TRANSACTION
ALTER TABLE [customer] 
	ALTER COLUMN [National_Code] [varchar] (50)
GO
COMMIT
GO

[GO_NO]=245
BEGIn TRANSACTION
  ALTER TABLE Kh_Gar_List ALTER COLUMN gl_serial VARCHAR(50)
GO
COMMIT
GO
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	ChangePursant bit not null default(1)
GO
COMMIT
GO

BEGIn TRANSACTION
   Alter table Acound_n Alter column  Account_N varchar(50) NOT NULL
GO
COMMIT
GO

BEGIN TRANSACTION
  ALTER TABLE [check] ALTER COLUMN Account_Number VARCHAR(50)
GO
COMMIT
GO
BEGIN TRANSACTION
  ALTER TABLE  TAZMIN ALTER COLUMN  Account_Number VARCHAR(50)
GO
COMMIT
GO
BEGIN TRANSACTION
  ALTER TABLE  CHK_AVAL ALTER COLUMN Account_Number VARCHAR(50)
GO
COMMIT
GO

BEGIn TRANSACTION
   Alter table DastehCH Alter column  Account_n  varchar(50) NOT NULL
GO
COMMIT
GO


[GO_NO]=246
BEGIn TRANSACTION
  ALTER TABLE FACTURE ALTER COLUMN num_havaleh FLOAT
  ALTER TABLE Sanad ALTER COLUMN numBer_U    FLOAT
GO
COMMIT
GO


[GO_NO]=247
BEGIn TRANSACTION
  ALTER TABLE Fbailpre ALTER COLUMN num_havaleh FLOAT 
GO
COMMIT
GO





[GO_NO]=248
BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SMSGroup]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SMSGroup] (
	[ID] [int] IDENTITY (1, 1) NOT FOR REPLICATION  NOT NULL ,
	[Name] [nvarchar] (50)  NOT NULL ,
              [IsActive] [bit] NOT NULL Default (0),
Primary key  (Id)
) ON [PRIMARY] 
GO

if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SMSInformation]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SMSInformation] (
	[ID] [int] IDENTITY (1, 1) NOT FOR REPLICATION  NOT NULL ,
	[ParentId] [int] NOT NULL Default (0),
	[Type] [varchar] (1)  NULL ,
	[Name] [nvarchar] (50)  NOT NULL ,
              [SortId] [int]  NOT NULL Default (0),
Primary key  (Id)
) ON [PRIMARY]
GO



if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SMSListGroup]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SMSListGroup] (
	[ID] [int] IDENTITY (1, 1) NOT FOR REPLICATION  NOT NULL ,
	[ParentId] [int] NOT NULL Default (0),
	[Type] [varchar] (1)  NOT NULL ,
	[Name] [nvarchar] (50)  NOT NULL ,
     Primary key (ID,ParentId)
) ON [PRIMARY]
GO

if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SMSSelectGroup]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SMSSelectGroup] (
	[ID] [int] IDENTITY (1, 1) NOT FOR REPLICATION  NOT NULL ,
	[GroupId] [int] NOT NULL Default (0),
	[GroupLIstId] [int] NOT NULL Default (0),
	[TimerGroupId] [int] NOT NULL Default (0),
Primary key  (Id)
) ON [PRIMARY]
GO

if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SMSSelectInfo]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SMSSelectInfo] (
	[ID] [int] IDENTITY (1, 1) NOT FOR REPLICATION  NOT NULL ,
	[GroupId] [int] NOT NULL Default (0),
	[GroupLIstId] [int] NOT Null Default (0) ,
              [GroupInfoId] [int] NOT Null Default (0) ,
             
Primary key  (Id)
) ON [PRIMARY]

if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SMSOutBox]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SMSOutBox] (
	[ID] [int] IDENTITY (1, 1) NOT NULL ,
              [C_Group] Int Not Null default(0),            
              [C_Code]   [nvarchar] (5)  NULL ,
              [Fac_Type] [Char] (1) NULL,
              [SMSDate] datetime NULL,
              [SMSTime] datetime NULL,
              [SMSSendDate] datetime NULL,
              [SMSSendTime] datetime NULL,
              [C_Mobile] [nvarchar] (20)  NULL ,
              [Comment] [nvarchar] (500)  NULL ,
              [State] [int] Not NULL default(0),            
              [SendID] [int] Not NULL default(0),            
Primary key  (Id)
) ON [PRIMARY]
GO

if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SMSCalendarGroup]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].SMSCalendarGroup (
	[ID]     [int] IDENTITY (1, 1) NOT NULL ,
              [C_Group] Int Not Null default(0),            
              [C_Code] [nvarchar] (5)  NULL ,
              [C_Mobile] [nvarchar] (20)  NULL ,  
Primary key  (Id)
) ON [PRIMARY]
GO

Alter Table CUSTOMER Add SMSGroup nvarchar(100) NULL Default('')
Go

GO
COMMIT
GO


[GO_NO]=249
BEGIN TRANSACTION
ALTER TABLE dbo.HRD_Facture ADD
	Price_Nesieh  Float  Not NULL Default(0)
GO
COMMIT
GO

BEGIN TRANSACTION
Update FactSpd  Set PeikCode = '' Where PeikCode IS Null
Alter Table FactSpd 
  Alter Column PeikCode Varchar(5) Not null 
ALTER TABLE FACTSPD ADD CONSTRAINT
	DF_FACTSPD_PeikCode DEFAULT '' FOR PeikCode
GO
COMMIT
GO

[GO_NO]=250
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	OutOrdUser bit NOT NULL  DEFAULT (0)
GO
COMMIT
GO

[GO_NO]=251
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	ShowDailyFacts bit NOT NULL  DEFAULT (1)
GO
COMMIT
GO

[GO_NO]=252
BEGIN TRANSACTION
ALTER TABLE dbo.FACTURE Alter column TimeUser [nvarchar](8) NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.customer Add IsCMS bit NULL
GO
COMMIT
GO

[GO_NO]=253
BEGIN TRANSACTION
GO
ALTER TABLE dbo.CUSTOMER ADD
	C_type tinyint NOT NULL CONSTRAINT DF_CUSTOMER_C_type DEFAULT 1
GO
DECLARE @v sql_variant 
SET @v = N'3=  1=  2=  '
EXECUTE sp_addextendedproperty N'MS_Description', @v, N'SCHEMA', N'dbo', N'TABLE', N'CUSTOMER', N'COLUMN', N'C_type'
GO
ALTER TABLE dbo.CUSTOMER SET (LOCK_ESCALATION = TABLE)
GO
COMMIT
GO

[GO_NO]=254
BEGIN TRANSACTION
 Alter Table SMSListGroup Add SType Smallint Not Null default(0)
 Alter Table SMSListGroup Add Gtype Smallint Not Null default(0)
 Alter Table SMSListGroup Add Showtype Smallint Not Null default(0)
 Alter Table SMSListGroup Add Send_Recive Smallint Not Null default(0)

Alter Table SMSOutBox  Add SubjectId     Smallint Not Null default(0)
Alter Table SMSOutBox  Add SendState     Smallint Not Null default(0)
Alter Table SMSOutBox  Add SendDateState Smallint Not Null default(0)
Alter Table SmsOutBox  Add ReciveSend bit not null Default(1)

Alter Table SMSGroup  Add  GroupState tinyint not null Default(0)
Alter table  SMSGroup Add Comment nvarchar(500) null
Alter Table SMSCalendarGroup Add ReciveSend bit not null Default(1)

GO
COMMIT
GO

BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SMSDetail]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)

CREATE TABLE [dbo].[SMSDetail](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[ParentId] [int] NOT NULL,
	[Type] [varchar](1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
                [Sarfasl_Code] nvarchar(50) null,
 CONSTRAINT [PK_SMSDetail] PRIMARY KEY CLUSTERED 
(
	[ID] ASC,
	[ParentId] ASC)
) ON [PRIMARY]

GO
COMMIT
Go

BEGIN TRANSACTION
if Not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SMSSendItem]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SMSSendItem](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[OutBoxID] [int] NOT NULL,
	[SendItem] [nvarchar](50) NOT NULL,
                [Stype] [Char](1) Null
) ON [PRIMARY]

GO
COMMIT
Go

[GO_NO]=255
BEGIN TRANSACTION
ALTER TABLE dbo.FBAILPRE ADD
	OldDAmozesh float NOT NULL DEFAULT 0,
	OldDShahrdary float NOT NULL DEFAULT 0
GO
COMMIT
GO

BEGIN TRANSACTION
  ALTER TABLE Kh_Facture ALTER COLUMN Das_Serial VARCHAR(50)
GO
COMMIT
GO

BEGIN TRANSACTION
  ALTER TABLE Kh_Facture ALTER COLUMN F_Time nvarchar(8)
GO
COMMIT
GO

BEGIN TRANSACTION
  ALTER TABLE Kh_Dastgah ALTER COLUMN Das_Code_C NVARCHAR(50)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.Article
	Alter Column A_code_c varchar(50) NULL

ALTER TABLE dbo.RqDetail
	Alter Column R_Arcode_c varchar(50) NULL

ALTER TABLE dbo.ART_AVAL 
	Alter Column A_code_c varchar(50) NULL

ALTER TABLE dbo.BILD 
	Alter Column A_code_c varchar(50) NULL

ALTER TABLE dbo.ArtCodes 
	Alter Column A_code_c varchar(50) NULL

ALTER TABLE dbo.SPDSELL 
	Alter Column A_code_c varchar(50) NULL

ALTER TABLE dbo.SPDSELU 
	Alter Column A_code_c varchar(50) NULL

ALTER TABLE dbo.Q_Hlp 
	Alter Column A_code_c varchar(50) NULL

ALTER TABLE dbo.HLP_ 
	Alter Column A_code_c varchar(50) NULL

ALTER TABLE dbo.TajzAval 
	Alter Column A_code_c varchar(50) NULL						
	
ALTER TABLE dbo.TajzEnd 
	Alter Column A_code_c varchar(50) NULL	

ALTER TABLE dbo.FACTART 
	Alter Column Acode_c varchar(50) NULL

ALTER TABLE dbo.ABailPre 
	Alter Column Acode_c varchar(50) NULL

ALTER TABLE dbo.AB_Catch 
	Alter Column Acode_c varchar(50) NULL

ALTER TABLE dbo.Art_Bail 
	Alter Column Acode_c varchar(50) NULL

ALTER TABLE dbo.Fac_Bild 
	Alter Column Acode_c varchar(50) NULL

ALTER TABLE dbo.BildAval 
	Alter Column Acode_c varchar(50) NULL

ALTER TABLE dbo.FactSpd 
	Alter Column Acode_c varchar(50) NULL

ALTER TABLE dbo.ANBAGARD 
	Alter Column Acode_c varchar(50) NULL								

GO
COMMIT
GO

[GO_NO]=256
BEGIN TRANSACTION
ALTER TABLE dbo.FACTART ADD
	GDarsadSoodF Float NOT NULL DEFAULT (0)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FACTART ADD
             Ojrat_Price Float NOT NULL DEFAULT (0),
	M_Ojrat Float NOT NULL DEFAULT (0),
	J_Ojrat Float NOT NULL  DEFAULT (0)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	Mekhrajkar bit Not NULL Default(0),
	JavaherSaz bit Not NULL Default(0)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
        Include_HazHaml bit NOT NULL DEFAULT (0),
        TypePay         SmallInt Not Null DEFAULT (0),
        PricePay        Float    Not Null DEFAULT (0),
        HazArtSelect         SmallInt Not Null DEFAULT (0)
GO
COMMIT
GO


BEGIN TRANSACTION
ALTER TABLE dbo.FACTART ADD
        HazineHamlPrice Float NOT NULL DEFAULT (0),
        PricePay        Float NOT NULL DEFAULT (0),
        HazTypePay      SmallInt   NOT NULL DEFAULT (0),
        HazArtSelect     SmallInt   NOT NULL DEFAULT (0)
GO
COMMIT
GO


[GO_NO]=257
BEGIN TRANSACTION
ALTER TABLE dbo.FACTART ADD
	Vaseteh_Code varchar(5) NULL,
	Cust_Porsant float NOT NULL DEFAULT (0)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.CUSTOMER ADD
	Arayeshgar bit NOT NULL DEFAULT (0),
	Arayesh_Porsant float NOT NULL  DEFAULT (0)
GO
COMMIT
GO


[GO_NO]=258
BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	FactPrint_CtrlP bit NOT NULL CONSTRAINT DF_USERDB_FactPrint_CtrlP DEFAULT 1
GO
COMMIT
GO

BEGIN TRANSACTION
Alter table Acound_N Add Id int not null identity(1,1)
GO
COMMIT
GO


BEGIN TRANSACTION
ALTER TABLE M_HAZINE ADD 
  TypeHazDaramad bit NOT NULL  DEFAULT (0)
GO
COMMIT
GO


BEGIN TRANSACTION
Alter Table Fac_BILD Add Tool Varchar(10) Null 
Alter Table Fac_BILD Add Arz Varchar(10)   Null 
GO
COMMIT
Go

BEGIN TRANSACTION
if (Select count(*) From syscolumns C , sysindexes I Where I.id=object_id('[fAC_BILD]') And  c.Id=I.Id  And (I.status & 0x800) = 0x800
            And c.name=index_col ('[fAC_BILD]', i.indid,  4))=0
begin
   Exec ('if Exists (Select * From sysindexes Where [Name] = ''PK_FAC_BILD'') 
            ALTER Table FAC_BILD Drop CONSTRAINT [PK_FAC_BILD] ')  
   Exec ('Alter table fAC_BILD alter column A_index int not null ')
   Exec (' ALTER TABLE dbo.FAC_BILD ADD CONSTRAINT
                 DF_FAC_BILD_A_Index DEFAULT 0 FOR A_Index ')
 
   Exec (' ALTER TABLE FAC_BILD WITH NOCHECK ADD 
              	CONSTRAINT [PK_FAC_BILD] PRIMARY KEY  CLUSTERED ( 
                      	[Fac_Code],[A_Code],[Bild_Or_Tajzieh],[a_index])  ON [PRIMARY] ')
End

GO
COMMIT
Go

[GO_NO]=259

BEGIN TRANSACTION
  Alter Table Fac_BILD Add ToolArzType Varchar(1)
  Alter Table BILDAVAL Add ToolArzType Varchar(1)
  Alter Table BILD Add ToolArzType Varchar(1)
GO
COMMIT
GO

BEGIN TRANSACTION
if (Select count(*) From syscolumns C , sysindexes I Where I.id=object_id('[bildaval]') And  c.Id=I.Id  And (I.status & 0x800) = 0x800
            And c.name=index_col ('[bildaval]', i.indid,  3))=0
begin
   Exec ('if Exists (Select * From sysindexes Where [Name] = ''PK_BILDAVAL'') 
            ALTER Table BILDAVAL Drop CONSTRAINT [PK_BILDAVAL] ')  
   Exec (' ALTER TABLE bildaval WITH NOCHECK ADD 
              	CONSTRAINT [PK_BILDAVAL] PRIMARY KEY  CLUSTERED ( 
                      	[A_Code],[FormulaID],[Row_Index])  ON [PRIMARY] ')
End

GO
COMMIT
Go

[GO_NO]=260
BEGIN TRANSACTION
  Alter Table Customer Add ArzID int not null default(1)
  Alter Table Customer Add money_price float Not null default(1)
GO
COMMIT
GO

[GO_NO]=261
Begin transaction
Alter Table dastehch ADD  CheckEtebar Bit Not Null DEFAULT (0)
Go
Commit
Go
Begin transaction
Alter Table dastehch ADD  DateEtebar Datetime null
Go
Commit
Go


[GO_NO]=262
BEGIN TRANSACTION
Alter Table Customer
             Alter Column Comment Nvarchar(4000) null
GO
COMMIT
GO

Begin Transaction
Alter Table M_Hazine Add
    Mandeh Float Not NULL DEFAULT (0)
GO
COMMIT
GO

[GO_NO]=263
BEGIN TRANSACTION
ALTER TABLE dbo.Res_Facture ADD
	UsedByUser varchar(30) NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.SarfaslType ADD CONSTRAINT
	PK_SarfaslType PRIMARY KEY CLUSTERED 
	(
	id
	) ON [PRIMARY]
GO
COMMIT
GO

Begin Transaction
Alter Table sanad
             Alter Column Comment Nvarchar(600) null
GO
COMMIT
GO

Begin Transaction
    if not exists (Select [Id] From sysColumns Where [Name] =  'Diamond'         And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add Diamond        Varchar(50 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'DiamondPrice'    And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add DiamondPrice   Varchar(30 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Emerald'         And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add Emerald        Varchar(50 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'EmeraldPrice'    And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add emeraldPrice   Varchar(30 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Platinum'        And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add Platinum       Varchar(50 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'PlatinumPrice'   And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add PlatinumPrice    Float(53 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Ruby'            And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add Ruby           Varchar(50 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'RubyPrice'       And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add RubyPrice      Varchar(30 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Saphire'         And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add Saphire        Varchar(50 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'SaphirePrice'    And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add SaphirePrice   Varchar(30 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Silver'          And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add Silver         Varchar(50 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'SilverPrice'     And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add SilverPrice      Float(53 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Pearl'           And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add Pearl          Varchar(50 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'PearlPrice'      And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add PearlPrice     Varchar(30 ) null
    if not exists (Select [Id] From sysColumns Where [Name] =  'Turqouise'       And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add Turqouise      Varchar(50 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'TurqouisePrice'  And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add TurqouisePrice Varchar(30 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Other         '  And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add Other          Varchar(50 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'OtherPrice'      And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add OtherPrice     Varchar(30 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'TolidNum'        And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add TolidNum       Varchar(15 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Picture'         And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add Picture        Varchar(255) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Gold'            And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add Gold           Varchar(50 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'GoldPrice'       And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add GoldPrice        Float(52 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'j_Code'          And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add j_Code         Varchar(5  ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'j_Ojrat'         And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add j_Ojrat          Float(53 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'M_Code'          And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add M_Code         Varchar(5  ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'M_Ojrat'         And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] ='U' )) alter table Article Add M_Ojrat          Float(53 ) null 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Mekhrajkar'      And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add Mekhrajkar  Bit Not Null Default(0) 
    if not exists (Select [Id] From sysColumns Where [Name] =  'Javahersaz'      And [id]=( Select [id] From Sysobjects where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add Javahersaz  Bit Not Null Default(0) 
    if not exists (Select [Id] From syscolumns Where [Name] =  'Comment2'        And [id]=( Select [id] From Sysobjects Where [Name] =  'Article'   and [xtype] = 'U' )) alter table Article Add Comment2       varchar(150) null 
    if not exists (Select [Id] From syscolumns Where [Name] =  'Sel_Price'       And [id]=( Select [id] From Sysobjects Where [Name] =  'Factart'   and [xtype] = 'U' )) alter table Factart Add Sel_Price        Float(53 ) null 
    if not exists (Select [Id] From syscolumns Where [Name] =  'Tala'            And [id]=( Select [id] From Sysobjects Where [Name] =  'Facture'   and [xtype] = 'U' )) alter table Facture Add Tala           varchar(20 ) null 
    if not exists (Select [Id] From syscolumns Where [Name] =  'Dollar'          And [id]=( Select [id] From Sysobjects Where [Name] =  'Facture'   and [xtype] = 'U' )) alter table Facture Add Dollar         varchar(20 ) null 

GO
COMMIT
GO

[GO_NO]=264
BEGIN TRANSACTION
ALTER TABLE dbo.BILDAVAL ADD
	Ghotr varchar(10) NULL,
	Metr varchar(10) NULL,
	Tedad varchar(10) NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.BILDEND ADD
	Ghotr varchar(10) NULL,
	Tedad varchar(10) NULL,
	Metr varchar(10) NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.Fac_Bild ADD
                  Ghotr varchar(10) NULL,
	Tedad varchar(10) NULL,
	Metr varchar(10) NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.BILD ADD
	Ghotr varchar(10) NULL,
	Tedad varchar(10) NULL,
	Metr varchar(10) NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FAC_BILD ADD CONSTRAINT
	DF_FAC_BILD_Tool DEFAULT 1 FOR Tool
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FAC_BILD ADD CONSTRAINT
	DF_FAC_BILD_Arz DEFAULT 1 FOR Arz
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FAC_BILD ADD CONSTRAINT
	DF_FAC_BILD_Ghotr DEFAULT 1 FOR Ghotr
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FAC_BILD ADD CONSTRAINT
	DF_FAC_BILD_Tedad DEFAULT 1 FOR Tedad
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FAC_BILD ADD CONSTRAINT
	DF_FAC_BILD_Metr DEFAULT 1 FOR Metr
GO
COMMIT
GO

[GO_NO]=265
Begin transaction
  Alter table CHK_AVAL 
    Alter Column bank_name varchar(100) 
  Alter table Check_Bkup
    Alter Column bank_name varchar(100) 
  Alter table TRAVELCH
    Alter Column bank_name varchar(100) 
GO
Commit
Go

BEGIN TRANSACTION
Alter Table Res_Fac_List
  Add  Darsad_Takhfif Float Not Null Default(0),
       TakhfifSatrir Float Not Null Default(0)
GO
COMMIT
GO
BEGIN TRANSACTION
ALTER TABLE dbo.Res_Facture ADD
	Naghd_Moddat bit NOT NULL DEFAULT (0)
GO
COMMIT
GO

BEGIN TRANSACTION
 ALTER TABLE Saveclsf ADD 
   ID int NOT NULL IDENTITY (1,1)
GO
COMMIT
GO
BEGIN TRANSACTION
ALTER TABLE dbo.SaveClsF
	DROP CONSTRAINT PK_SaveClsF
GO
ALTER TABLE dbo.SaveClsF ADD CONSTRAINT
	PK_SaveClsF PRIMARY KEY CLUSTERED 
	(
	Fac_Code,
	Fac_Type,
	A_Code,
	A_Index,
	SIndex,
	Momaiez,
	A_CodeFrmlE,
	ID
	) ON [PRIMARY]

GO
COMMIT
GO


[GO_NO]=266
BEGIN TRANSACTION
ALTER TABLE dbo.Process ADD
	Blob image NULL,
	ID int NOT NULL primary key IDENTITY (1, 1)
GO
commit
Go

Begin Transaction
Alter Table Sarfasl Add ArzId int Not null default(1), 
                        Money_Price Float Not null default(1)
Go
Commit
GO

BEGIN TRANSACTION
ALTER TABLE dbo.SANAD ADD
	MergetajSanad_Code int NULL
ALTER TABLE dbo.SANAD ADD
	MergetajSanad_Date datetime NULL
GO
COMMIT
GO


[GO_NO]=267
BEGIN TRANSACTION
Alter table  tb_menu Add [Owner] nvarchar(50) null
GO
commit
Go

[GO_NO]=268
BEGIN TRANSACTION
Alter table s_group alter column s_groupname varchar(80)
GO
commit
Go

BEGIN TRANSACTION
ALTER TABLE CUSTOMER ADD CAlarmEtebarCheck Bit NULL DEFAULT 0 WITH VALUES 
GO
COMMIT
GO

[GO_NO]=269
BEGIN TRANSACTION
ALTER TABLE dbo.M_HAZINE ADD
	MHaz_Code_C varchar(10) Null
GO
ALTER TABLE dbo.M_HAZINE ADD CONSTRAINT
	DF_M_HAZINE_MHaz_Code_C DEFAULT 0 FOR MHaz_Code_C 
GO
COMMIT
GO

BEGIN TRANSACTION
Alter Table TRAVELCH
             Alter Column Check_Number varchar(20) null

GO
COMMIT
GO

[GO_NO]=270
BEGIN TRANSACTION
ALTER TABLE dbo.UNIT ADD
	Ayar Float NOT NULL DEFAULT (0),
	Vahed_Vazn smallint NOT NULL DEFAULT (0)
GO
COMMIT
GO

BEGIN TRANSACTION
CREATE TABLE [dbo].[Gold_Vazn] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[Name] [nvarchar] (100)  NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Gold_Vazn] WITH NOCHECK ADD 
	CONSTRAINT [PK_Gold_Vazn] PRIMARY KEY  CLUSTERED 
	(
		[Id]
	)  ON [PRIMARY] 
GO
COMMIT
GO

BEGIN TRANSACTION
CREATE TABLE [dbo].[GoldPanel] (
	[Id] [int] IDENTITY (1, 1) NOT NULL  ,
	[Gold_0_17] [float] NOT NULL DEFAULT (0),
	[Gold_0_18] [float] NOT NULL DEFAULT (0),
	[Gold_0_24] [float] NOT NULL DEFAULT (0),
	[Gold_1_New] [float] NOT NULL DEFAULT (0),
	[Gold_1_Old] [float] NOT NULL DEFAULT (0),
	[Gold_1_Half] [float] NOT NULL DEFAULT (0),
	[Gold_1_Rob] [float] NOT NULL DEFAULT (0),
	[Gold_1_Gram] [float]  NOT NULL  DEFAULT (0),
	[Update_Date] [datetime] NULL ,
	[Update_Time] [datetime] NULL ,
             [Update_InterVal] [smallint] NOT NULL DEFAULT (30)   
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[GoldPanel] WITH NOCHECK ADD 
	CONSTRAINT [PK_GoldPanel] PRIMARY KEY  CLUSTERED 
	(
		[Id]
	)  ON [PRIMARY] 
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FACTURE ADD
	FCode_ChangeGold int NOT NULL DEFAULT (0)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.SANAD ADD
	FCode_ChangeGold int NOT NULL DEFAULT (0)
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.ARTICLE ADD
	Abkari_Ojrat Float NOT NULL  DEFAULT (0),
	Sakht_Ojrat  Float NOT NULL  DEFAULT (0),
             IsAbkari bit NOT NULL  DEFAULT (0),
	IsSakht  bit NOT NULL  DEFAULT (0)  
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.FACTART ADD
	Sakht_Ojrat  Float NOT NULL DEFAULT (0),
	Abkari_Ojrat Float NOT NULL DEFAULT (0)
GO
COMMIT
GO

[GO_NO]=271
BEGIN TRANSACTION
  if (select count(*) from sysobjects  
      where xtype='pk' and parent_obj in (select id from sysobjects where name='SarfaslType'))=0
       begin
         exec ('TRUNCATE TABLE dbo.SarfaslType') 
         exec ('ALTER TABLE dbo.SarfaslType ADD CONSTRAINT
	    PK_SarfaslType PRIMARY KEY CLUSTERED 
                	(
	                 id
                	) ON [PRIMARY]')
       end
GO
COMMIT
GO

BEGIN TRANSACTION
Alter table  TahvildarLog Add [IsConfirm] int not null Default(0)
GO
commit
Go


[GO_NO]=272
BEGIN TRANSACTION
  Alter table acound_n add PosType tinyint not null default(0)
GO
commit
Go

[GO_NO]=273
BEGIN TRANSACTION
Alter table Kh_Facture_Haz add Haz_Personel2 float NULL 
GO
commit
Go

BEGIN TRANSACTION
Alter Table FCOUNECT ADD
  CalcType int not null Default(1) 
GO
commit
Go





[GO_NO]=274

BEGIN TRANSACTION
  Alter table acound_n add PosType tinyint not null default(0)
GO
commit
Go

Begin TRANSACTION
    Alter Table ARTICLE Add PriceTakhfif float not null default(0) 
GO
COMMIT 
GO 

Begin TRANSACTION
   Alter Table M_GROUP Add PriceTakhfif float not null default(0) 
GO
COMMIT 
GO 

Begin TRANSACTION
    Alter Table S_GROUP Add PriceTakhfif float not null default(0) 
GO
COMMIT 
GO

Begin TRANSACTION
    Alter Table Res_Fac_List Add Darsad_Type bit null default(0) 
GO
  COMMIT 
GO 


BEGIN TRANSACTION
  Alter Table Facture Alter Column Fac_Comment nvarchar(4000) null
GO
COMMIT
GO


BEGIN TRANSACTION
Alter Table FACTART
             Alter Column FacArtic_Comment nvarchar(4000) null

GO
COMMIT
GO

BEGIN TRANSACTION
Alter Table COMMENT
             Alter Column Comment nvarchar(4000) null

GO
COMMIT
GO



BEGIN TRANSACTION
Alter Table AB_CATCH
             Alter Column FacArtic_Comment nvarchar(4000) null

GO
COMMIT
GO

BEGIN TRANSACTION
Alter Table ABAILPRE
             Alter Column FacArtic_Comment nvarchar(4000) null

GO
COMMIT
GO


BEGIN TRANSACTION
Alter Table FBAILPRE
             Alter Column Fac_Comment nvarchar(4000) null

GO
COMMIT
GO

BEGIN TRANSACTION
  ALTER TABLE Kh_Facture Alter Column Cus_Error  nvarchar(4000) null
GO
COMMIT
GO


[GO_NO]=275
BEGIN TRANSACTION
  Alter Table UserDB add [DBPnlRight] [bit] null
  Alter Table UserDB ADD [DBPGRight] [varchar](15) null
GO
COMMIT
GO

BEGIN TRANSACTION
 Alter table Master..Alias_Holoo add DBPnlRight bit
GO
COMMIT
GO



[GO_NO]=276
BEGIN TRANSACTION
ALTER TABLE dbo.Res_Facture ADD
	FType_KF varchar(1) Not NULL Default('F'),
	Kind_Vat SmallInt Null 
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.CHK_AVAL ADD
	C_Code_C varchar(12) NULL
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
	Nspd_Pay_Cust  bit NOT NULL  DEFAULT (1),
	Nspd_Show_Cash bit NOT NULL  DEFAULT (1)
	
GO
COMMIT
GO

BEGIN TRANSACTION
ALTER TABLE dbo.USERDB ADD
                Nspd_EditArt   bit NOT NULL  DEFAULT (1), 
	Nspd_Cust      bit NOT NULL  DEFAULT (1),
	SaveSpdNoPrint bit NOT NULL  DEFAULT (1),
	SaveNesiehNoPrint bit NOT NULL  DEFAULT (1)
GO
COMMIT
GO
